


import re
import collections

from enum import Enum

from ydk._core._dm_meta_info import _MetaInfoClassMember, _MetaInfoClass, _MetaInfoEnum
from ydk.types import Empty, YList, YLeafList, DELETE, Decimal64, FixedBitsDict
from ydk._core._dm_meta_info import ATTRIBUTE, REFERENCE_CLASS, REFERENCE_LIST, REFERENCE_LEAFLIST,     REFERENCE_IDENTITY_CLASS, REFERENCE_ENUM_CLASS, REFERENCE_BITS, REFERENCE_UNION, ANYXML_CLASS

from ydk.errors import YPYError, YPYModelError
from ydk.providers._importer import _yang_ns
_meta_table = {
    'CiscoenvmonstateEnum' : _MetaInfoEnum('CiscoenvmonstateEnum', 'ydk.models.cisco_ios_xe.CISCO_ENVMON_MIB',
        {
            'normal':'normal',
            'warning':'warning',
            'critical':'critical',
            'shutdown':'shutdown',
            'notPresent':'notPresent',
            'notFunctioning':'notFunctioning',
        }, 'CISCO-ENVMON-MIB', _yang_ns._namespaces['CISCO-ENVMON-MIB']),
    'CiscoEnvmonMib.Ciscoenvmonobjects.CiscoenvmonpresentEnum' : _MetaInfoEnum('CiscoenvmonpresentEnum', 'ydk.models.cisco_ios_xe.CISCO_ENVMON_MIB',
        {
            'oldAgs':'oldAgs',
            'ags':'ags',
            'c7000':'c7000',
            'ci':'ci',
            'cAccessMon':'cAccessMon',
            'cat6000':'cat6000',
            'ubr7200':'ubr7200',
            'cat4000':'cat4000',
            'c10000':'c10000',
            'osr7600':'osr7600',
            'c7600':'c7600',
            'c37xx':'c37xx',
            'other':'other',
        }, 'CISCO-ENVMON-MIB', _yang_ns._namespaces['CISCO-ENVMON-MIB']),
    'CiscoEnvmonMib.Ciscoenvmonobjects' : {
        'meta_info' : _MetaInfoClass('CiscoEnvmonMib.Ciscoenvmonobjects',
            False, 
            [
            _MetaInfoClassMember('ciscoEnvMonAlarmContacts', REFERENCE_BITS, 'Ciscoenvmonalarmcontacts' , 'ydk.models.cisco_ios_xe.CISCO_ENVMON_MIB', 'CiscoEnvmonMib.Ciscoenvmonobjects.Ciscoenvmonalarmcontacts', 
                [], [], 
                '''                Each bit is set to reflect the respective
                alarm being set.  The bit will be cleared
                when the respective alarm is cleared.
                ''',
                'ciscoenvmonalarmcontacts',
                'CISCO-ENVMON-MIB', False),
            _MetaInfoClassMember('ciscoEnvMonPresent', REFERENCE_ENUM_CLASS, 'CiscoenvmonpresentEnum' , 'ydk.models.cisco_ios_xe.CISCO_ENVMON_MIB', 'CiscoEnvmonMib.Ciscoenvmonobjects.CiscoenvmonpresentEnum', 
                [], [], 
                '''                The type of environmental monitor located in the chassis.
                An oldAgs environmental monitor card is identical to an ags
                environmental card except that it is not capable of supplying
                data, and hence no instance of the remaining objects in this
                MIB will be returned in response to an SNMP query.  Note that
                only a firmware upgrade is required to convert an oldAgs into
                an ags card.
                ''',
                'ciscoenvmonpresent',
                'CISCO-ENVMON-MIB', False),
            ],
            'CISCO-ENVMON-MIB',
            'ciscoEnvMonObjects',
            _yang_ns._namespaces['CISCO-ENVMON-MIB'],
        'ydk.models.cisco_ios_xe.CISCO_ENVMON_MIB'
        ),
    },
    'CiscoEnvmonMib.Ciscoenvmonmibnotificationenables' : {
        'meta_info' : _MetaInfoClass('CiscoEnvmonMib.Ciscoenvmonmibnotificationenables',
            False, 
            [
            _MetaInfoClassMember('ciscoEnvMonEnableFanNotification', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                This variable  indicates  whether  the  system
                produces the ciscoEnvMonFanNotification.
                A false value prevents fan notifications 
                from being sent by  this entity. This object is 
                deprecated in favour of 
                ciscoEnvMonEnableStatChangeNotif.
                ''',
                'ciscoenvmonenablefannotification',
                'CISCO-ENVMON-MIB', False),
            _MetaInfoClassMember('ciscoEnvMonEnableRedundantSupplyNotification', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                This variable  indicates  whether  the  system
                produces the ciscoEnvMonRedundantSupplyNotification. 
                A false value prevents redundant supply notifications
                from being generated by this system. This object is
                deprecated in favour of 
                ciscoEnvMonEnableStatChangeNotif.
                ''',
                'ciscoenvmonenableredundantsupplynotification',
                'CISCO-ENVMON-MIB', False),
            _MetaInfoClassMember('ciscoEnvMonEnableShutdownNotification', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                This variable  indicates  whether  the  system
                produces the ciscoEnvMonShutdownNotification.  A false 
                value will prevent shutdown notifications 
                from being generated by this system.
                ''',
                'ciscoenvmonenableshutdownnotification',
                'CISCO-ENVMON-MIB', False),
            _MetaInfoClassMember('ciscoEnvMonEnableStatChangeNotif', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                This variable indicates whether the system
                produces the ciscoEnvMonVoltStatusChangeNotif,
                ciscoEnvMonTempStatusChangeNotif, 
                ciscoEnvMonFanStatusChangeNotif and  
                ciscoEnvMonSuppStatusChangeNotif. A false value will 
                prevent these notifications from being generated by 
                this system.
                ''',
                'ciscoenvmonenablestatchangenotif',
                'CISCO-ENVMON-MIB', False),
            _MetaInfoClassMember('ciscoEnvMonEnableTemperatureNotification', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                This variable  indicates  whether  the  system
                produces the ciscoEnvMonTemperatureNotification.
                A false value prevents temperature notifications 
                from being sent by  this entity. This object is 
                deprecated in favour of 
                ciscoEnvMonEnableStatChangeNotif.
                ''',
                'ciscoenvmonenabletemperaturenotification',
                'CISCO-ENVMON-MIB', False),
            _MetaInfoClassMember('ciscoEnvMonEnableVoltageNotification', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                This variable  indicates  whether  the  system
                produces the ciscoEnvMonVoltageNotification. A false 
                value will prevent voltage notifications from being 
                generated by this system. This object is deprecated
                in favour of ciscoEnvMonEnableStatChangeNotif.
                ''',
                'ciscoenvmonenablevoltagenotification',
                'CISCO-ENVMON-MIB', False),
            ],
            'CISCO-ENVMON-MIB',
            'ciscoEnvMonMIBNotificationEnables',
            _yang_ns._namespaces['CISCO-ENVMON-MIB'],
        'ydk.models.cisco_ios_xe.CISCO_ENVMON_MIB'
        ),
    },
    'CiscoEnvmonMib.Ciscoenvmonvoltagestatustable.Ciscoenvmonvoltagestatusentry' : {
        'meta_info' : _MetaInfoClass('CiscoEnvmonMib.Ciscoenvmonvoltagestatustable.Ciscoenvmonvoltagestatusentry',
            False, 
            [
            _MetaInfoClassMember('ciscoEnvMonVoltageStatusIndex', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483647')], [], 
                '''                Unique index for the testpoint being instrumented.
                This index is for SNMP purposes only, and has no
                intrinsic meaning.
                ''',
                'ciscoenvmonvoltagestatusindex',
                'CISCO-ENVMON-MIB', True),
            _MetaInfoClassMember('ciscoEnvMonVoltageLastShutdown', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                The value of the associated instance of the object
                ciscoEnvMonVoltageStatusValue at the time an emergency
                shutdown of the managed device was last initiated.  This
                value is stored in non-volatile RAM and hence is able to
                survive the shutdown.
                ''',
                'ciscoenvmonvoltagelastshutdown',
                'CISCO-ENVMON-MIB', False),
            _MetaInfoClassMember('ciscoEnvMonVoltageState', REFERENCE_ENUM_CLASS, 'CiscoenvmonstateEnum' , 'ydk.models.cisco_ios_xe.CISCO_ENVMON_MIB', 'CiscoenvmonstateEnum', 
                [], [], 
                '''                The current state of the testpoint being instrumented.
                ''',
                'ciscoenvmonvoltagestate',
                'CISCO-ENVMON-MIB', False),
            _MetaInfoClassMember('ciscoEnvMonVoltageStatusDescr', ATTRIBUTE, 'str' , None, None, 
                [(0, 32)], [], 
                '''                Textual description of the testpoint being instrumented.
                This description is a short textual label, suitable as a
                human-sensible identification for the rest of the
                information in the entry.
                ''',
                'ciscoenvmonvoltagestatusdescr',
                'CISCO-ENVMON-MIB', False),
            _MetaInfoClassMember('ciscoEnvMonVoltageStatusValue', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                The current measurement of the testpoint being instrumented.
                ''',
                'ciscoenvmonvoltagestatusvalue',
                'CISCO-ENVMON-MIB', False),
            _MetaInfoClassMember('ciscoEnvMonVoltageThresholdHigh', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                The highest value that the associated instance of the object
                ciscoEnvMonVoltageStatusValue may obtain before an emergency
                shutdown of the managed device is initiated.
                ''',
                'ciscoenvmonvoltagethresholdhigh',
                'CISCO-ENVMON-MIB', False),
            _MetaInfoClassMember('ciscoEnvMonVoltageThresholdLow', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                The lowest value that the associated instance of the object
                ciscoEnvMonVoltageStatusValue may obtain before an emergency
                shutdown of the managed device is initiated.
                ''',
                'ciscoenvmonvoltagethresholdlow',
                'CISCO-ENVMON-MIB', False),
            ],
            'CISCO-ENVMON-MIB',
            'ciscoEnvMonVoltageStatusEntry',
            _yang_ns._namespaces['CISCO-ENVMON-MIB'],
        'ydk.models.cisco_ios_xe.CISCO_ENVMON_MIB'
        ),
    },
    'CiscoEnvmonMib.Ciscoenvmonvoltagestatustable' : {
        'meta_info' : _MetaInfoClass('CiscoEnvmonMib.Ciscoenvmonvoltagestatustable',
            False, 
            [
            _MetaInfoClassMember('ciscoEnvMonVoltageStatusEntry', REFERENCE_LIST, 'Ciscoenvmonvoltagestatusentry' , 'ydk.models.cisco_ios_xe.CISCO_ENVMON_MIB', 'CiscoEnvmonMib.Ciscoenvmonvoltagestatustable.Ciscoenvmonvoltagestatusentry', 
                [], [], 
                '''                An entry in the voltage status table, representing the status
                of the associated testpoint maintained by the environmental
                monitor.
                ''',
                'ciscoenvmonvoltagestatusentry',
                'CISCO-ENVMON-MIB', False),
            ],
            'CISCO-ENVMON-MIB',
            'ciscoEnvMonVoltageStatusTable',
            _yang_ns._namespaces['CISCO-ENVMON-MIB'],
        'ydk.models.cisco_ios_xe.CISCO_ENVMON_MIB'
        ),
    },
    'CiscoEnvmonMib.Ciscoenvmontemperaturestatustable.Ciscoenvmontemperaturestatusentry' : {
        'meta_info' : _MetaInfoClass('CiscoEnvmonMib.Ciscoenvmontemperaturestatustable.Ciscoenvmontemperaturestatusentry',
            False, 
            [
            _MetaInfoClassMember('ciscoEnvMonTemperatureStatusIndex', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483647')], [], 
                '''                Unique index for the testpoint being instrumented.
                This index is for SNMP purposes only, and has no
                intrinsic meaning.
                ''',
                'ciscoenvmontemperaturestatusindex',
                'CISCO-ENVMON-MIB', True),
            _MetaInfoClassMember('ciscoEnvMonTemperatureLastShutdown', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                The value of the associated instance of the object
                ciscoEnvMonTemperatureStatusValue at the time an emergency
                shutdown of the managed device was last initiated.  This
                value is stored in non-volatile RAM and hence is able to
                survive the shutdown.
                ''',
                'ciscoenvmontemperaturelastshutdown',
                'CISCO-ENVMON-MIB', False),
            _MetaInfoClassMember('ciscoEnvMonTemperatureState', REFERENCE_ENUM_CLASS, 'CiscoenvmonstateEnum' , 'ydk.models.cisco_ios_xe.CISCO_ENVMON_MIB', 'CiscoenvmonstateEnum', 
                [], [], 
                '''                The current state of the testpoint being instrumented.
                ''',
                'ciscoenvmontemperaturestate',
                'CISCO-ENVMON-MIB', False),
            _MetaInfoClassMember('ciscoEnvMonTemperatureStatusDescr', ATTRIBUTE, 'str' , None, None, 
                [(0, 32)], [], 
                '''                Textual description of the testpoint being instrumented.
                This description is a short textual label, suitable as a
                human-sensible identification for the rest of the
                information in the entry.
                ''',
                'ciscoenvmontemperaturestatusdescr',
                'CISCO-ENVMON-MIB', False),
            _MetaInfoClassMember('ciscoEnvMonTemperatureStatusValue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The current measurement of the testpoint being instrumented.
                ''',
                'ciscoenvmontemperaturestatusvalue',
                'CISCO-ENVMON-MIB', False),
            _MetaInfoClassMember('ciscoEnvMonTemperatureThreshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                The highest value that the associated instance of the
                object ciscoEnvMonTemperatureStatusValue may obtain
                before an emergency shutdown of the managed device is
                initiated.
                ''',
                'ciscoenvmontemperaturethreshold',
                'CISCO-ENVMON-MIB', False),
            ],
            'CISCO-ENVMON-MIB',
            'ciscoEnvMonTemperatureStatusEntry',
            _yang_ns._namespaces['CISCO-ENVMON-MIB'],
        'ydk.models.cisco_ios_xe.CISCO_ENVMON_MIB'
        ),
    },
    'CiscoEnvmonMib.Ciscoenvmontemperaturestatustable' : {
        'meta_info' : _MetaInfoClass('CiscoEnvmonMib.Ciscoenvmontemperaturestatustable',
            False, 
            [
            _MetaInfoClassMember('ciscoEnvMonTemperatureStatusEntry', REFERENCE_LIST, 'Ciscoenvmontemperaturestatusentry' , 'ydk.models.cisco_ios_xe.CISCO_ENVMON_MIB', 'CiscoEnvmonMib.Ciscoenvmontemperaturestatustable.Ciscoenvmontemperaturestatusentry', 
                [], [], 
                '''                An entry in the ambient temperature status table, representing
                the status of the associated testpoint maintained by the
                environmental monitor.
                ''',
                'ciscoenvmontemperaturestatusentry',
                'CISCO-ENVMON-MIB', False),
            ],
            'CISCO-ENVMON-MIB',
            'ciscoEnvMonTemperatureStatusTable',
            _yang_ns._namespaces['CISCO-ENVMON-MIB'],
        'ydk.models.cisco_ios_xe.CISCO_ENVMON_MIB'
        ),
    },
    'CiscoEnvmonMib.Ciscoenvmonfanstatustable.Ciscoenvmonfanstatusentry' : {
        'meta_info' : _MetaInfoClass('CiscoEnvmonMib.Ciscoenvmonfanstatustable.Ciscoenvmonfanstatusentry',
            False, 
            [
            _MetaInfoClassMember('ciscoEnvMonFanStatusIndex', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483647')], [], 
                '''                Unique index for the fan being instrumented.
                This index is for SNMP purposes only, and has no
                intrinsic meaning.
                ''',
                'ciscoenvmonfanstatusindex',
                'CISCO-ENVMON-MIB', True),
            _MetaInfoClassMember('ciscoEnvMonFanState', REFERENCE_ENUM_CLASS, 'CiscoenvmonstateEnum' , 'ydk.models.cisco_ios_xe.CISCO_ENVMON_MIB', 'CiscoenvmonstateEnum', 
                [], [], 
                '''                The current state of the fan being instrumented.
                ''',
                'ciscoenvmonfanstate',
                'CISCO-ENVMON-MIB', False),
            _MetaInfoClassMember('ciscoEnvMonFanStatusDescr', ATTRIBUTE, 'str' , None, None, 
                [(0, 32)], [], 
                '''                Textual description of the fan being instrumented.
                This description is a short textual label, suitable as a
                human-sensible identification for the rest of the
                information in the entry.
                ''',
                'ciscoenvmonfanstatusdescr',
                'CISCO-ENVMON-MIB', False),
            ],
            'CISCO-ENVMON-MIB',
            'ciscoEnvMonFanStatusEntry',
            _yang_ns._namespaces['CISCO-ENVMON-MIB'],
        'ydk.models.cisco_ios_xe.CISCO_ENVMON_MIB'
        ),
    },
    'CiscoEnvmonMib.Ciscoenvmonfanstatustable' : {
        'meta_info' : _MetaInfoClass('CiscoEnvmonMib.Ciscoenvmonfanstatustable',
            False, 
            [
            _MetaInfoClassMember('ciscoEnvMonFanStatusEntry', REFERENCE_LIST, 'Ciscoenvmonfanstatusentry' , 'ydk.models.cisco_ios_xe.CISCO_ENVMON_MIB', 'CiscoEnvmonMib.Ciscoenvmonfanstatustable.Ciscoenvmonfanstatusentry', 
                [], [], 
                '''                An entry in the fan status table, representing the status of
                the associated fan maintained by the environmental monitor.
                ''',
                'ciscoenvmonfanstatusentry',
                'CISCO-ENVMON-MIB', False),
            ],
            'CISCO-ENVMON-MIB',
            'ciscoEnvMonFanStatusTable',
            _yang_ns._namespaces['CISCO-ENVMON-MIB'],
        'ydk.models.cisco_ios_xe.CISCO_ENVMON_MIB'
        ),
    },
    'CiscoEnvmonMib.Ciscoenvmonsupplystatustable.Ciscoenvmonsupplystatusentry.CiscoenvmonsupplysourceEnum' : _MetaInfoEnum('CiscoenvmonsupplysourceEnum', 'ydk.models.cisco_ios_xe.CISCO_ENVMON_MIB',
        {
            'unknown':'unknown',
            'ac':'ac',
            'dc':'dc',
            'externalPowerSupply':'externalPowerSupply',
            'internalRedundant':'internalRedundant',
        }, 'CISCO-ENVMON-MIB', _yang_ns._namespaces['CISCO-ENVMON-MIB']),
    'CiscoEnvmonMib.Ciscoenvmonsupplystatustable.Ciscoenvmonsupplystatusentry' : {
        'meta_info' : _MetaInfoClass('CiscoEnvmonMib.Ciscoenvmonsupplystatustable.Ciscoenvmonsupplystatusentry',
            False, 
            [
            _MetaInfoClassMember('ciscoEnvMonSupplyStatusIndex', ATTRIBUTE, 'int' , None, None, 
                [('0', '2147483647')], [], 
                '''                Unique index for the power supply being instrumented.
                This index is for SNMP purposes only, and has no
                intrinsic meaning.
                ''',
                'ciscoenvmonsupplystatusindex',
                'CISCO-ENVMON-MIB', True),
            _MetaInfoClassMember('ciscoEnvMonSupplySource', REFERENCE_ENUM_CLASS, 'CiscoenvmonsupplysourceEnum' , 'ydk.models.cisco_ios_xe.CISCO_ENVMON_MIB', 'CiscoEnvmonMib.Ciscoenvmonsupplystatustable.Ciscoenvmonsupplystatusentry.CiscoenvmonsupplysourceEnum', 
                [], [], 
                '''                The power supply source.
                unknown - Power supply source unknown
                ac      - AC power supply
                dc      - DC power supply
                externalPowerSupply - External power supply
                internalRedundant - Internal redundant power supply 
                ''',
                'ciscoenvmonsupplysource',
                'CISCO-ENVMON-MIB', False),
            _MetaInfoClassMember('ciscoEnvMonSupplyState', REFERENCE_ENUM_CLASS, 'CiscoenvmonstateEnum' , 'ydk.models.cisco_ios_xe.CISCO_ENVMON_MIB', 'CiscoenvmonstateEnum', 
                [], [], 
                '''                The current state of the power supply being instrumented.
                ''',
                'ciscoenvmonsupplystate',
                'CISCO-ENVMON-MIB', False),
            _MetaInfoClassMember('ciscoEnvMonSupplyStatusDescr', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Textual description of the power supply being instrumented.
                This description is a short textual label, suitable as a
                human-sensible identification for the rest of the
                information in the entry.
                ''',
                'ciscoenvmonsupplystatusdescr',
                'CISCO-ENVMON-MIB', False),
            ],
            'CISCO-ENVMON-MIB',
            'ciscoEnvMonSupplyStatusEntry',
            _yang_ns._namespaces['CISCO-ENVMON-MIB'],
        'ydk.models.cisco_ios_xe.CISCO_ENVMON_MIB'
        ),
    },
    'CiscoEnvmonMib.Ciscoenvmonsupplystatustable' : {
        'meta_info' : _MetaInfoClass('CiscoEnvmonMib.Ciscoenvmonsupplystatustable',
            False, 
            [
            _MetaInfoClassMember('ciscoEnvMonSupplyStatusEntry', REFERENCE_LIST, 'Ciscoenvmonsupplystatusentry' , 'ydk.models.cisco_ios_xe.CISCO_ENVMON_MIB', 'CiscoEnvmonMib.Ciscoenvmonsupplystatustable.Ciscoenvmonsupplystatusentry', 
                [], [], 
                '''                An entry in the power supply status table, representing the
                status of the associated power supply maintained by the
                environmental monitor card.
                ''',
                'ciscoenvmonsupplystatusentry',
                'CISCO-ENVMON-MIB', False),
            ],
            'CISCO-ENVMON-MIB',
            'ciscoEnvMonSupplyStatusTable',
            _yang_ns._namespaces['CISCO-ENVMON-MIB'],
        'ydk.models.cisco_ios_xe.CISCO_ENVMON_MIB'
        ),
    },
    'CiscoEnvmonMib' : {
        'meta_info' : _MetaInfoClass('CiscoEnvmonMib',
            False, 
            [
            _MetaInfoClassMember('ciscoEnvMonFanStatusTable', REFERENCE_CLASS, 'Ciscoenvmonfanstatustable' , 'ydk.models.cisco_ios_xe.CISCO_ENVMON_MIB', 'CiscoEnvmonMib.Ciscoenvmonfanstatustable', 
                [], [], 
                '''                The table of fan status maintained by the environmental
                monitor.
                ''',
                'ciscoenvmonfanstatustable',
                'CISCO-ENVMON-MIB', False),
            _MetaInfoClassMember('ciscoEnvMonMIBNotificationEnables', REFERENCE_CLASS, 'Ciscoenvmonmibnotificationenables' , 'ydk.models.cisco_ios_xe.CISCO_ENVMON_MIB', 'CiscoEnvmonMib.Ciscoenvmonmibnotificationenables', 
                [], [], 
                '''                ''',
                'ciscoenvmonmibnotificationenables',
                'CISCO-ENVMON-MIB', False),
            _MetaInfoClassMember('ciscoEnvMonObjects', REFERENCE_CLASS, 'Ciscoenvmonobjects' , 'ydk.models.cisco_ios_xe.CISCO_ENVMON_MIB', 'CiscoEnvmonMib.Ciscoenvmonobjects', 
                [], [], 
                '''                ''',
                'ciscoenvmonobjects',
                'CISCO-ENVMON-MIB', False),
            _MetaInfoClassMember('ciscoEnvMonSupplyStatusTable', REFERENCE_CLASS, 'Ciscoenvmonsupplystatustable' , 'ydk.models.cisco_ios_xe.CISCO_ENVMON_MIB', 'CiscoEnvmonMib.Ciscoenvmonsupplystatustable', 
                [], [], 
                '''                The table of power supply status maintained by the
                environmental monitor card.
                ''',
                'ciscoenvmonsupplystatustable',
                'CISCO-ENVMON-MIB', False),
            _MetaInfoClassMember('ciscoEnvMonTemperatureStatusTable', REFERENCE_CLASS, 'Ciscoenvmontemperaturestatustable' , 'ydk.models.cisco_ios_xe.CISCO_ENVMON_MIB', 'CiscoEnvmonMib.Ciscoenvmontemperaturestatustable', 
                [], [], 
                '''                The table of ambient temperature status maintained by the
                environmental monitor.
                ''',
                'ciscoenvmontemperaturestatustable',
                'CISCO-ENVMON-MIB', False),
            _MetaInfoClassMember('ciscoEnvMonVoltageStatusTable', REFERENCE_CLASS, 'Ciscoenvmonvoltagestatustable' , 'ydk.models.cisco_ios_xe.CISCO_ENVMON_MIB', 'CiscoEnvmonMib.Ciscoenvmonvoltagestatustable', 
                [], [], 
                '''                The table of voltage status maintained by the environmental
                monitor.
                ''',
                'ciscoenvmonvoltagestatustable',
                'CISCO-ENVMON-MIB', False),
            ],
            'CISCO-ENVMON-MIB',
            'CISCO-ENVMON-MIB',
            _yang_ns._namespaces['CISCO-ENVMON-MIB'],
        'ydk.models.cisco_ios_xe.CISCO_ENVMON_MIB'
        ),
    },
}
_meta_table['CiscoEnvmonMib.Ciscoenvmonvoltagestatustable.Ciscoenvmonvoltagestatusentry']['meta_info'].parent =_meta_table['CiscoEnvmonMib.Ciscoenvmonvoltagestatustable']['meta_info']
_meta_table['CiscoEnvmonMib.Ciscoenvmontemperaturestatustable.Ciscoenvmontemperaturestatusentry']['meta_info'].parent =_meta_table['CiscoEnvmonMib.Ciscoenvmontemperaturestatustable']['meta_info']
_meta_table['CiscoEnvmonMib.Ciscoenvmonfanstatustable.Ciscoenvmonfanstatusentry']['meta_info'].parent =_meta_table['CiscoEnvmonMib.Ciscoenvmonfanstatustable']['meta_info']
_meta_table['CiscoEnvmonMib.Ciscoenvmonsupplystatustable.Ciscoenvmonsupplystatusentry']['meta_info'].parent =_meta_table['CiscoEnvmonMib.Ciscoenvmonsupplystatustable']['meta_info']
_meta_table['CiscoEnvmonMib.Ciscoenvmonobjects']['meta_info'].parent =_meta_table['CiscoEnvmonMib']['meta_info']
_meta_table['CiscoEnvmonMib.Ciscoenvmonmibnotificationenables']['meta_info'].parent =_meta_table['CiscoEnvmonMib']['meta_info']
_meta_table['CiscoEnvmonMib.Ciscoenvmonvoltagestatustable']['meta_info'].parent =_meta_table['CiscoEnvmonMib']['meta_info']
_meta_table['CiscoEnvmonMib.Ciscoenvmontemperaturestatustable']['meta_info'].parent =_meta_table['CiscoEnvmonMib']['meta_info']
_meta_table['CiscoEnvmonMib.Ciscoenvmonfanstatustable']['meta_info'].parent =_meta_table['CiscoEnvmonMib']['meta_info']
_meta_table['CiscoEnvmonMib.Ciscoenvmonsupplystatustable']['meta_info'].parent =_meta_table['CiscoEnvmonMib']['meta_info']
