


import re
import collections

from enum import Enum

from ydk._core._dm_meta_info import _MetaInfoClassMember, _MetaInfoClass, _MetaInfoEnum
from ydk.types import Empty, YList, YLeafList, DELETE, Decimal64, FixedBitsDict
from ydk._core._dm_meta_info import ATTRIBUTE, REFERENCE_CLASS, REFERENCE_LIST, REFERENCE_LEAFLIST,     REFERENCE_IDENTITY_CLASS, REFERENCE_ENUM_CLASS, REFERENCE_BITS, REFERENCE_UNION, ANYXML_CLASS

from ydk.errors import YPYError, YPYModelError
from ydk.providers._importer import _yang_ns
_meta_table = {
    'CfwurlfvendoridEnum' : _MetaInfoEnum('CfwurlfvendoridEnum', 'ydk.models.cisco_ios_xe.CISCO_FIREWALL_TC',
        {
            'other':'other',
            'websense':'websense',
            'n2h2':'n2h2',
        }, 'CISCO-FIREWALL-TC', _yang_ns._namespaces['CISCO-FIREWALL-TC']),
    'CfwurlserverstatusEnum' : _MetaInfoEnum('CfwurlserverstatusEnum', 'ydk.models.cisco_ios_xe.CISCO_FIREWALL_TC',
        {
            'online':'online',
            'offline':'offline',
            'indeterminate':'indeterminate',
        }, 'CISCO-FIREWALL-TC', _yang_ns._namespaces['CISCO-FIREWALL-TC']),
    'CfwpolicytargettypeEnum' : _MetaInfoEnum('CfwpolicytargettypeEnum', 'ydk.models.cisco_ios_xe.CISCO_FIREWALL_TC',
        {
            'all':'all',
            'other':'other',
            'interface':'interface',
            'zone':'zone',
            'zonepair':'zonepair',
            'user':'user',
            'usergroup':'usergroup',
            'context':'context',
        }, 'CISCO-FIREWALL-TC', _yang_ns._namespaces['CISCO-FIREWALL-TC']),
    'CfwnetworkprotocolEnum' : _MetaInfoEnum('CfwnetworkprotocolEnum', 'ydk.models.cisco_ios_xe.CISCO_FIREWALL_TC',
        {
            'none':'none',
            'other':'other',
            'ip':'ip',
            'icmp':'icmp',
            'gre':'gre',
            'udp':'udp',
            'tcp':'tcp',
        }, 'CISCO-FIREWALL-TC', _yang_ns._namespaces['CISCO-FIREWALL-TC']),
    'CfwapplicationprotocolEnum' : _MetaInfoEnum('CfwapplicationprotocolEnum', 'ydk.models.cisco_ios_xe.CISCO_FIREWALL_TC',
        {
            'none':'none',
            'other':'other',
            'ftp':'ftp',
            'telnet':'telnet',
            'smtp':'smtp',
            'http':'http',
            'tacacs':'tacacs',
            'dns':'dns',
            'sqlnet':'sqlnet',
            'https':'https',
            'tftp':'tftp',
            'gopher':'gopher',
            'finger':'finger',
            'kerberos':'kerberos',
            'pop2':'pop2',
            'pop3':'pop3',
            'sunRpc':'sunRpc',
            'msRpc':'msRpc',
            'nntp':'nntp',
            'snmp':'snmp',
            'imap':'imap',
            'ldap':'ldap',
            'exec':'exec_',
            'login':'login',
            'shell':'shell',
            'msSql':'msSql',
            'sybaseSql':'sybaseSql',
            'nfs':'nfs',
            'lotusnote':'lotusnote',
            'h323':'h323',
            'cuseeme':'cuseeme',
            'realmedia':'realmedia',
            'netshow':'netshow',
            'streamworks':'streamworks',
            'vdolive':'vdolive',
            'sap':'sap',
            'sip':'sip',
            'mgcp':'mgcp',
            'rtsp':'rtsp',
            'skinny':'skinny',
            'gtpV0':'gtpV0',
            'gtpV1':'gtpV1',
            'echo':'echo',
            'discard':'discard',
            'daytime':'daytime',
            'netstat':'netstat',
            'ssh':'ssh',
            'time':'time',
            'tacacsDs':'tacacsDs',
            'bootps':'bootps',
            'bootpc':'bootpc',
            'dnsix':'dnsix',
            'rtelnet':'rtelnet',
            'ident':'ident',
            'sqlServ':'sqlServ',
            'ntp':'ntp',
            'pwdgen':'pwdgen',
            'ciscoFna':'ciscoFna',
            'ciscoTna':'ciscoTna',
            'ciscoSys':'ciscoSys',
            'netbiosNs':'netbiosNs',
            'netbiosDgm':'netbiosDgm',
            'netbiosSsn':'netbiosSsn',
            'sqlSrv':'sqlSrv',
            'snmpTrap':'snmpTrap',
            'rsvd':'rsvd',
            'send':'send',
            'xdmcp':'xdmcp',
            'bgp':'bgp',
            'irc':'irc',
            'qmtp':'qmtp',
            'ipx':'ipx',
            'dbase':'dbase',
            'imap3':'imap3',
            'rsvpTunnel':'rsvpTunnel',
            'hpCollector':'hpCollector',
            'hpManagedNode':'hpManagedNode',
            'hpAlarmMgr':'hpAlarmMgr',
            'microsoftDs':'microsoftDs',
            'creativeServer':'creativeServer',
            'creativePartnr':'creativePartnr',
            'appleQtc':'appleQtc',
            'igmpV3Lite':'igmpV3Lite',
            'isakmp':'isakmp',
            'biff':'biff',
            'who':'who',
            'syslog':'syslog',
            'router':'router',
            'ncp':'ncp',
            'timed':'timed',
            'ircServ':'ircServ',
            'uucp':'uucp',
            'syslogConn':'syslogConn',
            'sshell':'sshell',
            'ldaps':'ldaps',
            'dhcpFailover':'dhcpFailover',
            'msexchRouting':'msexchRouting',
            'entrustSvcs':'entrustSvcs',
            'entrustSvcHandler':'entrustSvcHandler',
            'ciscoTdp':'ciscoTdp',
            'webster':'webster',
            'gdoi':'gdoi',
            'iscsi':'iscsi',
            'cddbp':'cddbp',
            'ftps':'ftps',
            'telnets':'telnets',
            'imaps':'imaps',
            'ircs':'ircs',
            'pop3s':'pop3s',
            'socks':'socks',
            'kazaa':'kazaa',
            'msSqlM':'msSqlM',
            'msSna':'msSna',
            'wins':'wins',
            'ica':'ica',
            'orasrv':'orasrv',
            'rdbDbsDisp':'rdbDbsDisp',
            'vqp':'vqp',
            'icabrowser':'icabrowser',
            'kermit':'kermit',
            'rsvpEncap':'rsvpEncap',
            'l2tp':'l2tp',
            'pptp':'pptp',
            'h323Gatestat':'h323Gatestat',
            'rWinsock':'rWinsock',
            'radius':'radius',
            'hsrp':'hsrp',
            'net8Cman':'net8Cman',
            'oracleEmVp':'oracleEmVp',
            'oracleNames':'oracleNames',
            'oracle':'oracle',
            'ciscoSvcs':'ciscoSvcs',
            'ciscoNetMgmt':'ciscoNetMgmt',
            'stun':'stun',
            'trRsrb':'trRsrb',
            'ddnsV3':'ddnsV3',
            'aceSvr':'aceSvr',
            'giop':'giop',
            'ttc':'ttc',
            'ipass':'ipass',
            'clp':'clp',
            'citrixImaClient':'citrixImaClient',
            'sms':'sms',
            'citrix':'citrix',
            'realSecure':'realSecure',
            'lotusMtap':'lotusMtap',
            'cifs':'cifs',
            'msDotnetster':'msDotnetster',
            'tarantella':'tarantella',
            'fcipPort':'fcipPort',
            'ssp':'ssp',
            'iscsiTarget':'iscsiTarget',
            'mySql':'mySql',
            'msClusterNet':'msClusterNet',
            'ldapAdmin':'ldapAdmin',
            'ieee80211Iapp':'ieee80211Iapp',
            'oemAgent':'oemAgent',
            'rtcPmPort':'rtcPmPort',
            'dbControlAgent':'dbControlAgent',
            'ipsecMsft':'ipsecMsft',
            'sipTls':'sipTls',
            'aim':'aim',
            'pcAnyWhereData':'pcAnyWhereData',
            'pcAnyWhereStat':'pcAnyWhereStat',
            'x11':'x11',
            'ircu':'ircu',
            'n2h2Server':'n2h2Server',
            'h323CallSigAlt':'h323CallSigAlt',
            'yahooMsgr':'yahooMsgr',
            'msnMsgr':'msnMsgr',
        }, 'CISCO-FIREWALL-TC', _yang_ns._namespaces['CISCO-FIREWALL-TC']),
}
