


import re
import collections

from enum import Enum

from ydk._core._dm_meta_info import _MetaInfoClassMember, _MetaInfoClass, _MetaInfoEnum
from ydk.types import Empty, YList, YLeafList, DELETE, Decimal64, FixedBitsDict
from ydk._core._dm_meta_info import ATTRIBUTE, REFERENCE_CLASS, REFERENCE_LIST, REFERENCE_LEAFLIST,     REFERENCE_IDENTITY_CLASS, REFERENCE_ENUM_CLASS, REFERENCE_BITS, REFERENCE_UNION, ANYXML_CLASS

from ydk.errors import YPYError, YPYModelError
from ydk.providers._importer import _yang_ns
_meta_table = {
    'BgpAfiSafiEnum' : _MetaInfoEnum('BgpAfiSafiEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper',
        {
            'ipv4-mdt':'ipv4_mdt',
            'ipv4-multicast':'ipv4_multicast',
            'ipv4-unicast':'ipv4_unicast',
            'ipv4-mvpn':'ipv4_mvpn',
            'ipv4-flowspec':'ipv4_flowspec',
            'ipv6-multicast':'ipv6_multicast',
            'ipv6-unicast':'ipv6_unicast',
            'ipv6-mvpn':'ipv6_mvpn',
            'ipv6-flowspec':'ipv6_flowspec',
            'l2vpn-vpls':'l2vpn_vpls',
            'l2vpn-e-vpn':'l2vpn_e_vpn',
            'nsap-unicast':'nsap_unicast',
            'rtfilter-unicast':'rtfilter_unicast',
            'vpnv4-multicast':'vpnv4_multicast',
            'vpnv4-unicast':'vpnv4_unicast',
            'vpnv6-unicast':'vpnv6_unicast',
            'vpnv6-multicast':'vpnv6_multicast',
            'vpnv4-flowspec':'vpnv4_flowspec',
            'vpnv6-flowspec':'vpnv6_flowspec',
        }, 'Cisco-IOS-XE-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XE-bgp-oper']),
    'BgpOriginCodeEnum' : _MetaInfoEnum('BgpOriginCodeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper',
        {
            'origin-igp':'origin_igp',
            'origin-egp':'origin_egp',
            'origin-incomplete':'origin_incomplete',
        }, 'Cisco-IOS-XE-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XE-bgp-oper']),
    'BgpRpkiStatusEnum' : _MetaInfoEnum('BgpRpkiStatusEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper',
        {
            'rpki-valid':'rpki_valid',
            'rpki-invalid':'rpki_invalid',
            'rpki-not-found':'rpki_not_found',
        }, 'Cisco-IOS-XE-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XE-bgp-oper']),
    'BgpModeEnum' : _MetaInfoEnum('BgpModeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper',
        {
            'active':'active',
            'passive':'passive',
        }, 'Cisco-IOS-XE-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XE-bgp-oper']),
    'BgpRouteOptionEnum' : _MetaInfoEnum('BgpRouteOptionEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper',
        {
            'bgp-all-routes':'bgp_all_routes',
            'bgp-cidr-only-routes':'bgp_cidr_only_routes',
            'bgp-dampened-routes':'bgp_dampened_routes',
            'bgp-rib-fail-routes':'bgp_rib_fail_routes',
            'bgp-injected-routes':'bgp_injected_routes',
            'bgp-pending-routes':'bgp_pending_routes',
            'bgp-inconsistent-routes':'bgp_inconsistent_routes',
        }, 'Cisco-IOS-XE-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XE-bgp-oper']),
    'BgpFsmStateEnum' : _MetaInfoEnum('BgpFsmStateEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper',
        {
            'idle':'idle',
            'connect':'connect',
            'active':'active',
            'opensent':'opensent',
            'openconfirm':'openconfirm',
            'established':'established',
            'nonnegotiated':'nonnegotiated',
        }, 'Cisco-IOS-XE-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XE-bgp-oper']),
    'BgpLinkEnum' : _MetaInfoEnum('BgpLinkEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper',
        {
            'internal':'internal',
            'external':'external',
        }, 'Cisco-IOS-XE-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XE-bgp-oper']),
    'TcpFsmStateEnum' : _MetaInfoEnum('TcpFsmStateEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper',
        {
            'closed':'closed',
            'listen':'listen',
            'synsent':'synsent',
            'synrcvd':'synrcvd',
            'established':'established',
            'finwait1':'finwait1',
            'finwait2':'finwait2',
            'closewait':'closewait',
            'lastack':'lastack',
            'closing':'closing',
            'timewait':'timewait',
        }, 'Cisco-IOS-XE-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XE-bgp-oper']),
    'BgpState.Neighbors.Neighbor.NegotiatedKeepaliveTimers' : {
        'meta_info' : _MetaInfoClass('BgpState.Neighbors.Neighbor.NegotiatedKeepaliveTimers',
            False, 
            [
            _MetaInfoClassMember('hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hold time
                ''',
                'hold_time',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('keepalive-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                keepalive interval
                ''',
                'keepalive_interval',
                'Cisco-IOS-XE-bgp-oper', False),
            ],
            'Cisco-IOS-XE-bgp-oper',
            'negotiated-keepalive-timers',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp-oper'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper'
        ),
    },
    'BgpState.Neighbors.Neighbor.BgpNeighborCounters.Sent' : {
        'meta_info' : _MetaInfoClass('BgpState.Neighbors.Neighbor.BgpNeighborCounters.Sent',
            False, 
            [
            _MetaInfoClassMember('keepalives', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                KEEPALIVE messages
                ''',
                'keepalives',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('notifications', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NOTIFICATION messages
                ''',
                'notifications',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('opens', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OPEN messages
                ''',
                'opens',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('route-refreshes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route refresh messages
                ''',
                'route_refreshes',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('updates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                UPDATE messages
                ''',
                'updates',
                'Cisco-IOS-XE-bgp-oper', False),
            ],
            'Cisco-IOS-XE-bgp-oper',
            'sent',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp-oper'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper'
        ),
    },
    'BgpState.Neighbors.Neighbor.BgpNeighborCounters.Received' : {
        'meta_info' : _MetaInfoClass('BgpState.Neighbors.Neighbor.BgpNeighborCounters.Received',
            False, 
            [
            _MetaInfoClassMember('keepalives', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                KEEPALIVE messages
                ''',
                'keepalives',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('notifications', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NOTIFICATION messages
                ''',
                'notifications',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('opens', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OPEN messages
                ''',
                'opens',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('route-refreshes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route refresh messages
                ''',
                'route_refreshes',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('updates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                UPDATE messages
                ''',
                'updates',
                'Cisco-IOS-XE-bgp-oper', False),
            ],
            'Cisco-IOS-XE-bgp-oper',
            'received',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp-oper'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper'
        ),
    },
    'BgpState.Neighbors.Neighbor.BgpNeighborCounters' : {
        'meta_info' : _MetaInfoClass('BgpState.Neighbors.Neighbor.BgpNeighborCounters',
            False, 
            [
            _MetaInfoClassMember('inq-depth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input Q depth
                ''',
                'inq_depth',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('outq-depth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Q depth
                ''',
                'outq_depth',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('received', REFERENCE_CLASS, 'Received' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper', 'BgpState.Neighbors.Neighbor.BgpNeighborCounters.Received', 
                [], [], 
                '''                ''',
                'received',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('sent', REFERENCE_CLASS, 'Sent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper', 'BgpState.Neighbors.Neighbor.BgpNeighborCounters.Sent', 
                [], [], 
                '''                ''',
                'sent',
                'Cisco-IOS-XE-bgp-oper', False),
            ],
            'Cisco-IOS-XE-bgp-oper',
            'bgp-neighbor-counters',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp-oper'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper'
        ),
    },
    'BgpState.Neighbors.Neighbor.Connection' : {
        'meta_info' : _MetaInfoClass('BgpState.Neighbors.Neighbor.Connection',
            False, 
            [
            _MetaInfoClassMember('last-reset', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                since the peering session was last reset
                ''',
                'last_reset',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'BgpModeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper', 'BgpModeEnum', 
                [], [], 
                '''                ''',
                'mode',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('reset-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The reason for the last reset
                ''',
                'reset_reason',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TcpFsmStateEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper', 'TcpFsmStateEnum', 
                [], [], 
                '''                TCP FSM state
                ''',
                'state',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('total-dropped', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                number of times that a valid session has failed 
                or been taken down
                ''',
                'total_dropped',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('total-established', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                number of times a TCP and BGP connection has been 
                successfully established
                ''',
                'total_established',
                'Cisco-IOS-XE-bgp-oper', False),
            ],
            'Cisco-IOS-XE-bgp-oper',
            'connection',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp-oper'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper'
        ),
    },
    'BgpState.Neighbors.Neighbor.Transport' : {
        'meta_info' : _MetaInfoClass('BgpState.Neighbors.Neighbor.Transport',
            False, 
            [
            _MetaInfoClassMember('foreign-host', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Remote address to which the BGP session has
                established
                ''',
                'foreign_host',
                'Cisco-IOS-XE-bgp-oper', False, [
                    _MetaInfoClassMember('foreign-host', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Remote address to which the BGP session has
                        established
                        ''',
                        'foreign_host',
                        'Cisco-IOS-XE-bgp-oper', False),
                    _MetaInfoClassMember('foreign-host', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Remote address to which the BGP session has
                        established
                        ''',
                        'foreign_host',
                        'Cisco-IOS-XE-bgp-oper', False),
                ]),
            _MetaInfoClassMember('foreign-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote port used by the peer for the TCP session
                ''',
                'foreign_port',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('local-host', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Local address used for the TCP session
                ''',
                'local_host',
                'Cisco-IOS-XE-bgp-oper', False, [
                    _MetaInfoClassMember('local-host', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Local address used for the TCP session
                        ''',
                        'local_host',
                        'Cisco-IOS-XE-bgp-oper', False),
                    _MetaInfoClassMember('local-host', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Local address used for the TCP session
                        ''',
                        'local_host',
                        'Cisco-IOS-XE-bgp-oper', False),
                ]),
            _MetaInfoClassMember('local-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local TCP port used for TCP session
                ''',
                'local_port',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('mss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum Data segment size
                ''',
                'mss',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('path-mtu-discovery', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'path_mtu_discovery',
                'Cisco-IOS-XE-bgp-oper', False),
            ],
            'Cisco-IOS-XE-bgp-oper',
            'transport',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp-oper'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper'
        ),
    },
    'BgpState.Neighbors.Neighbor.PrefixActivity.Sent' : {
        'meta_info' : _MetaInfoClass('BgpState.Neighbors.Neighbor.PrefixActivity.Sent',
            False, 
            [
            _MetaInfoClassMember('bestpaths', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Number of received prefixes installed as best paths
                ''',
                'bestpaths',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('current-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Current number of prefixes accepted
                ''',
                'current_prefixes',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('explicit-withdraw', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Number of times that a prefix has been withdrawn 
                because it is no longer feasible
                ''',
                'explicit_withdraw',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('implicit-withdraw', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                number of times that a prefix has been withdrawn 
                and readvertised
                ''',
                'implicit_withdraw',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('multipaths', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Number of received prefixes installed as multipaths
                ''',
                'multipaths',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('total-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total number of prefixes accepted
                ''',
                'total_prefixes',
                'Cisco-IOS-XE-bgp-oper', False),
            ],
            'Cisco-IOS-XE-bgp-oper',
            'sent',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp-oper'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper'
        ),
    },
    'BgpState.Neighbors.Neighbor.PrefixActivity.Received' : {
        'meta_info' : _MetaInfoClass('BgpState.Neighbors.Neighbor.PrefixActivity.Received',
            False, 
            [
            _MetaInfoClassMember('bestpaths', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Number of received prefixes installed as best paths
                ''',
                'bestpaths',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('current-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Current number of prefixes accepted
                ''',
                'current_prefixes',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('explicit-withdraw', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Number of times that a prefix has been withdrawn 
                because it is no longer feasible
                ''',
                'explicit_withdraw',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('implicit-withdraw', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                number of times that a prefix has been withdrawn 
                and readvertised
                ''',
                'implicit_withdraw',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('multipaths', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Number of received prefixes installed as multipaths
                ''',
                'multipaths',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('total-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total number of prefixes accepted
                ''',
                'total_prefixes',
                'Cisco-IOS-XE-bgp-oper', False),
            ],
            'Cisco-IOS-XE-bgp-oper',
            'received',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp-oper'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper'
        ),
    },
    'BgpState.Neighbors.Neighbor.PrefixActivity' : {
        'meta_info' : _MetaInfoClass('BgpState.Neighbors.Neighbor.PrefixActivity',
            False, 
            [
            _MetaInfoClassMember('received', REFERENCE_CLASS, 'Received' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper', 'BgpState.Neighbors.Neighbor.PrefixActivity.Received', 
                [], [], 
                '''                ''',
                'received',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('sent', REFERENCE_CLASS, 'Sent' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper', 'BgpState.Neighbors.Neighbor.PrefixActivity.Sent', 
                [], [], 
                '''                ''',
                'sent',
                'Cisco-IOS-XE-bgp-oper', False),
            ],
            'Cisco-IOS-XE-bgp-oper',
            'prefix-activity',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp-oper'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper'
        ),
    },
    'BgpState.Neighbors.Neighbor' : {
        'meta_info' : _MetaInfoClass('BgpState.Neighbors.Neighbor',
            False, 
            [
            _MetaInfoClassMember('afi-safi', REFERENCE_ENUM_CLASS, 'BgpAfiSafiEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper', 'BgpAfiSafiEnum', 
                [], [], 
                '''                ''',
                'afi_safi',
                'Cisco-IOS-XE-bgp-oper', True),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-bgp-oper', True),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'neighbor_id',
                'Cisco-IOS-XE-bgp-oper', True),
            _MetaInfoClassMember('bgp-neighbor-counters', REFERENCE_CLASS, 'BgpNeighborCounters' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper', 'BgpState.Neighbors.Neighbor.BgpNeighborCounters', 
                [], [], 
                '''                ''',
                'bgp_neighbor_counters',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('bgp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                BGP version being used to communicate with the 
                       remote router
                ''',
                'bgp_version',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('connection', REFERENCE_CLASS, 'Connection' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper', 'BgpState.Neighbors.Neighbor.Connection', 
                [], [], 
                '''                ''',
                'connection',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'description',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('installed-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                number of installed prefixes
                ''',
                'installed_prefixes',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('last-read', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                since BGP last received a message to this neighbor
                ''',
                'last_read',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('last-write', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                since BGP last sent a message from this neighbor
                ''',
                'last_write',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('link', REFERENCE_ENUM_CLASS, 'BgpLinkEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper', 'BgpLinkEnum', 
                [], [], 
                '''                ''',
                'link',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('negotiated-cap', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                Information for bgp neighbor session negotiated
                capabilities
                ''',
                'negotiated_cap',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('negotiated-keepalive-timers', REFERENCE_CLASS, 'NegotiatedKeepaliveTimers' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper', 'BgpState.Neighbors.Neighbor.NegotiatedKeepaliveTimers', 
                [], [], 
                '''                ''',
                'negotiated_keepalive_timers',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('prefix-activity', REFERENCE_CLASS, 'PrefixActivity' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper', 'BgpState.Neighbors.Neighbor.PrefixActivity', 
                [], [], 
                '''                ''',
                'prefix_activity',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('session-state', REFERENCE_ENUM_CLASS, 'BgpFsmStateEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper', 'BgpFsmStateEnum', 
                [], [], 
                '''                ''',
                'session_state',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('transport', REFERENCE_CLASS, 'Transport' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper', 'BgpState.Neighbors.Neighbor.Transport', 
                [], [], 
                '''                ''',
                'transport',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('up-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                How long the bgp session has been up since
                        the sessioin was established
                ''',
                'up_time',
                'Cisco-IOS-XE-bgp-oper', False),
            ],
            'Cisco-IOS-XE-bgp-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp-oper'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper'
        ),
    },
    'BgpState.Neighbors' : {
        'meta_info' : _MetaInfoClass('BgpState.Neighbors',
            False, 
            [
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper', 'BgpState.Neighbors.Neighbor', 
                [], [], 
                '''                ''',
                'neighbor',
                'Cisco-IOS-XE-bgp-oper', False),
            ],
            'Cisco-IOS-XE-bgp-oper',
            'neighbors',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp-oper'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper'
        ),
    },
    'BgpState.AddressFamilies.AddressFamily.Prefixes' : {
        'meta_info' : _MetaInfoClass('BgpState.AddressFamilies.AddressFamily.Prefixes',
            False, 
            [
            _MetaInfoClassMember('memory-usage', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                total memory usage in byte
                ''',
                'memory_usage',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('total-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                total prefix entires
                ''',
                'total_entries',
                'Cisco-IOS-XE-bgp-oper', False),
            ],
            'Cisco-IOS-XE-bgp-oper',
            'prefixes',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp-oper'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper'
        ),
    },
    'BgpState.AddressFamilies.AddressFamily.Path' : {
        'meta_info' : _MetaInfoClass('BgpState.AddressFamilies.AddressFamily.Path',
            False, 
            [
            _MetaInfoClassMember('memory-usage', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                total memory usage in byte
                ''',
                'memory_usage',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('total-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                total prefix entires
                ''',
                'total_entries',
                'Cisco-IOS-XE-bgp-oper', False),
            ],
            'Cisco-IOS-XE-bgp-oper',
            'path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp-oper'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper'
        ),
    },
    'BgpState.AddressFamilies.AddressFamily.AsPath' : {
        'meta_info' : _MetaInfoClass('BgpState.AddressFamilies.AddressFamily.AsPath',
            False, 
            [
            _MetaInfoClassMember('memory-usage', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                total memory usage in byte
                ''',
                'memory_usage',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('total-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                total prefix entires
                ''',
                'total_entries',
                'Cisco-IOS-XE-bgp-oper', False),
            ],
            'Cisco-IOS-XE-bgp-oper',
            'as-path',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp-oper'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper'
        ),
    },
    'BgpState.AddressFamilies.AddressFamily.RouteMap' : {
        'meta_info' : _MetaInfoClass('BgpState.AddressFamilies.AddressFamily.RouteMap',
            False, 
            [
            _MetaInfoClassMember('memory-usage', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                total memory usage in byte
                ''',
                'memory_usage',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('total-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                total prefix entires
                ''',
                'total_entries',
                'Cisco-IOS-XE-bgp-oper', False),
            ],
            'Cisco-IOS-XE-bgp-oper',
            'route-map',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp-oper'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper'
        ),
    },
    'BgpState.AddressFamilies.AddressFamily.FilterList' : {
        'meta_info' : _MetaInfoClass('BgpState.AddressFamilies.AddressFamily.FilterList',
            False, 
            [
            _MetaInfoClassMember('memory-usage', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                total memory usage in byte
                ''',
                'memory_usage',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('total-entries', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                total prefix entires
                ''',
                'total_entries',
                'Cisco-IOS-XE-bgp-oper', False),
            ],
            'Cisco-IOS-XE-bgp-oper',
            'filter-list',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp-oper'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper'
        ),
    },
    'BgpState.AddressFamilies.AddressFamily.Activities' : {
        'meta_info' : _MetaInfoClass('BgpState.AddressFamilies.AddressFamily.Activities',
            False, 
            [
            _MetaInfoClassMember('paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ''',
                'paths',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ''',
                'prefixes',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('scan-interval', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                scan interval in second
                ''',
                'scan_interval',
                'Cisco-IOS-XE-bgp-oper', False),
            ],
            'Cisco-IOS-XE-bgp-oper',
            'activities',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp-oper'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper'
        ),
    },
    'BgpState.AddressFamilies.AddressFamily.BgpNeighborSummaries.BgpNeighborSummary' : {
        'meta_info' : _MetaInfoClass('BgpState.AddressFamilies.AddressFamily.BgpNeighborSummaries.BgpNeighborSummary',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'id',
                'Cisco-IOS-XE-bgp-oper', True),
            _MetaInfoClassMember('bgp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'bgp_version',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('input-queue', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ''',
                'input_queue',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('messages-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ''',
                'messages_received',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('messages-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ''',
                'messages_sent',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('output-queue', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ''',
                'output_queue',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('prefixes-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ''',
                'prefixes_received',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'BgpFsmStateEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper', 'BgpFsmStateEnum', 
                [], [], 
                '''                ''',
                'state',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ''',
                'table_version',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('up-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'up_time',
                'Cisco-IOS-XE-bgp-oper', False),
            ],
            'Cisco-IOS-XE-bgp-oper',
            'bgp-neighbor-summary',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp-oper'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper'
        ),
    },
    'BgpState.AddressFamilies.AddressFamily.BgpNeighborSummaries' : {
        'meta_info' : _MetaInfoClass('BgpState.AddressFamilies.AddressFamily.BgpNeighborSummaries',
            False, 
            [
            _MetaInfoClassMember('bgp-neighbor-summary', REFERENCE_LIST, 'BgpNeighborSummary' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper', 'BgpState.AddressFamilies.AddressFamily.BgpNeighborSummaries.BgpNeighborSummary', 
                [], [], 
                '''                ''',
                'bgp_neighbor_summary',
                'Cisco-IOS-XE-bgp-oper', False),
            ],
            'Cisco-IOS-XE-bgp-oper',
            'bgp-neighbor-summaries',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp-oper'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper'
        ),
    },
    'BgpState.AddressFamilies.AddressFamily' : {
        'meta_info' : _MetaInfoClass('BgpState.AddressFamilies.AddressFamily',
            False, 
            [
            _MetaInfoClassMember('afi-safi', REFERENCE_ENUM_CLASS, 'BgpAfiSafiEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper', 'BgpAfiSafiEnum', 
                [], [], 
                '''                ''',
                'afi_safi',
                'Cisco-IOS-XE-bgp-oper', True),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ''',
                'vrf_name',
                'Cisco-IOS-XE-bgp-oper', True),
            _MetaInfoClassMember('activities', REFERENCE_CLASS, 'Activities' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper', 'BgpState.AddressFamilies.AddressFamily.Activities', 
                [], [], 
                '''                BGP activity information
                ''',
                'activities',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('as-path', REFERENCE_CLASS, 'AsPath' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper', 'BgpState.AddressFamilies.AddressFamily.AsPath', 
                [], [], 
                '''                ''',
                'as_path',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('bgp-neighbor-summaries', REFERENCE_CLASS, 'BgpNeighborSummaries' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper', 'BgpState.AddressFamilies.AddressFamily.BgpNeighborSummaries', 
                [], [], 
                '''                Summary of neighbor
                ''',
                'bgp_neighbor_summaries',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('bgp-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                BGP table version number
                ''',
                'bgp_table_version',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('filter-list', REFERENCE_CLASS, 'FilterList' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper', 'BgpState.AddressFamilies.AddressFamily.FilterList', 
                [], [], 
                '''                ''',
                'filter_list',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('path', REFERENCE_CLASS, 'Path' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper', 'BgpState.AddressFamilies.AddressFamily.Path', 
                [], [], 
                '''                ''',
                'path',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('prefixes', REFERENCE_CLASS, 'Prefixes' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper', 'BgpState.AddressFamilies.AddressFamily.Prefixes', 
                [], [], 
                '''                ''',
                'prefixes',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('route-map', REFERENCE_CLASS, 'RouteMap' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper', 'BgpState.AddressFamilies.AddressFamily.RouteMap', 
                [], [], 
                '''                ''',
                'route_map',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('router-id', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                ''',
                'router_id',
                'Cisco-IOS-XE-bgp-oper', False, [
                    _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'router_id',
                        'Cisco-IOS-XE-bgp-oper', False),
                    _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                        [], [b'((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        ''',
                        'router_id',
                        'Cisco-IOS-XE-bgp-oper', False),
                ]),
            _MetaInfoClassMember('routing-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Routing table version number
                ''',
                'routing_table_version',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('total-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ''',
                'total_memory',
                'Cisco-IOS-XE-bgp-oper', False),
            ],
            'Cisco-IOS-XE-bgp-oper',
            'address-family',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp-oper'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper'
        ),
    },
    'BgpState.AddressFamilies' : {
        'meta_info' : _MetaInfoClass('BgpState.AddressFamilies',
            False, 
            [
            _MetaInfoClassMember('address-family', REFERENCE_LIST, 'AddressFamily' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper', 'BgpState.AddressFamilies.AddressFamily', 
                [], [], 
                '''                ''',
                'address_family',
                'Cisco-IOS-XE-bgp-oper', False),
            ],
            'Cisco-IOS-XE-bgp-oper',
            'address-families',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp-oper'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper'
        ),
    },
    'BgpState' : {
        'meta_info' : _MetaInfoClass('BgpState',
            False, 
            [
            _MetaInfoClassMember('address-families', REFERENCE_CLASS, 'AddressFamilies' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper', 'BgpState.AddressFamilies', 
                [], [], 
                '''                ''',
                'address_families',
                'Cisco-IOS-XE-bgp-oper', False),
            _MetaInfoClassMember('neighbors', REFERENCE_CLASS, 'Neighbors' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper', 'BgpState.Neighbors', 
                [], [], 
                '''                ''',
                'neighbors',
                'Cisco-IOS-XE-bgp-oper', False),
            ],
            'Cisco-IOS-XE-bgp-oper',
            'bgp-state',
            _yang_ns._namespaces['Cisco-IOS-XE-bgp-oper'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_bgp_oper'
        ),
    },
}
_meta_table['BgpState.Neighbors.Neighbor.BgpNeighborCounters.Sent']['meta_info'].parent =_meta_table['BgpState.Neighbors.Neighbor.BgpNeighborCounters']['meta_info']
_meta_table['BgpState.Neighbors.Neighbor.BgpNeighborCounters.Received']['meta_info'].parent =_meta_table['BgpState.Neighbors.Neighbor.BgpNeighborCounters']['meta_info']
_meta_table['BgpState.Neighbors.Neighbor.PrefixActivity.Sent']['meta_info'].parent =_meta_table['BgpState.Neighbors.Neighbor.PrefixActivity']['meta_info']
_meta_table['BgpState.Neighbors.Neighbor.PrefixActivity.Received']['meta_info'].parent =_meta_table['BgpState.Neighbors.Neighbor.PrefixActivity']['meta_info']
_meta_table['BgpState.Neighbors.Neighbor.NegotiatedKeepaliveTimers']['meta_info'].parent =_meta_table['BgpState.Neighbors.Neighbor']['meta_info']
_meta_table['BgpState.Neighbors.Neighbor.BgpNeighborCounters']['meta_info'].parent =_meta_table['BgpState.Neighbors.Neighbor']['meta_info']
_meta_table['BgpState.Neighbors.Neighbor.Connection']['meta_info'].parent =_meta_table['BgpState.Neighbors.Neighbor']['meta_info']
_meta_table['BgpState.Neighbors.Neighbor.Transport']['meta_info'].parent =_meta_table['BgpState.Neighbors.Neighbor']['meta_info']
_meta_table['BgpState.Neighbors.Neighbor.PrefixActivity']['meta_info'].parent =_meta_table['BgpState.Neighbors.Neighbor']['meta_info']
_meta_table['BgpState.Neighbors.Neighbor']['meta_info'].parent =_meta_table['BgpState.Neighbors']['meta_info']
_meta_table['BgpState.AddressFamilies.AddressFamily.BgpNeighborSummaries.BgpNeighborSummary']['meta_info'].parent =_meta_table['BgpState.AddressFamilies.AddressFamily.BgpNeighborSummaries']['meta_info']
_meta_table['BgpState.AddressFamilies.AddressFamily.Prefixes']['meta_info'].parent =_meta_table['BgpState.AddressFamilies.AddressFamily']['meta_info']
_meta_table['BgpState.AddressFamilies.AddressFamily.Path']['meta_info'].parent =_meta_table['BgpState.AddressFamilies.AddressFamily']['meta_info']
_meta_table['BgpState.AddressFamilies.AddressFamily.AsPath']['meta_info'].parent =_meta_table['BgpState.AddressFamilies.AddressFamily']['meta_info']
_meta_table['BgpState.AddressFamilies.AddressFamily.RouteMap']['meta_info'].parent =_meta_table['BgpState.AddressFamilies.AddressFamily']['meta_info']
_meta_table['BgpState.AddressFamilies.AddressFamily.FilterList']['meta_info'].parent =_meta_table['BgpState.AddressFamilies.AddressFamily']['meta_info']
_meta_table['BgpState.AddressFamilies.AddressFamily.Activities']['meta_info'].parent =_meta_table['BgpState.AddressFamilies.AddressFamily']['meta_info']
_meta_table['BgpState.AddressFamilies.AddressFamily.BgpNeighborSummaries']['meta_info'].parent =_meta_table['BgpState.AddressFamilies.AddressFamily']['meta_info']
_meta_table['BgpState.AddressFamilies.AddressFamily']['meta_info'].parent =_meta_table['BgpState.AddressFamilies']['meta_info']
_meta_table['BgpState.Neighbors']['meta_info'].parent =_meta_table['BgpState']['meta_info']
_meta_table['BgpState.AddressFamilies']['meta_info'].parent =_meta_table['BgpState']['meta_info']
