


import re
import collections

from enum import Enum

from ydk._core._dm_meta_info import _MetaInfoClassMember, _MetaInfoClass, _MetaInfoEnum
from ydk.types import Empty, YList, YLeafList, DELETE, Decimal64, FixedBitsDict
from ydk._core._dm_meta_info import ATTRIBUTE, REFERENCE_CLASS, REFERENCE_LIST, REFERENCE_LEAFLIST,     REFERENCE_IDENTITY_CLASS, REFERENCE_ENUM_CLASS, REFERENCE_BITS, REFERENCE_UNION, ANYXML_CLASS

from ydk.errors import YPYError, YPYModelError
from ydk.providers._importer import _yang_ns
_meta_table = {
    'TtlTypeEnum' : _MetaInfoEnum('TtlTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper',
        {
            'ttl-finite':'ttl_finite',
            'ttl-forever':'ttl_forever',
        }, 'Cisco-IOS-XE-ip-sla-oper', _yang_ns._namespaces['Cisco-IOS-XE-ip-sla-oper']),
    'AccuracyTypeEnum' : _MetaInfoEnum('AccuracyTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper',
        {
            'milliseconds':'milliseconds',
            'microseconds':'microseconds',
        }, 'Cisco-IOS-XE-ip-sla-oper', _yang_ns._namespaces['Cisco-IOS-XE-ip-sla-oper']),
    'SlaReturnCodeEnum' : _MetaInfoEnum('SlaReturnCodeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper',
        {
            'unknown':'unknown',
            'ok':'ok',
            'disconnected':'disconnected',
            'busy':'busy',
            'timeout':'timeout',
            'no-connection':'no_connection',
            'internal-error':'internal_error',
            'operation-failure':'operation_failure',
            'could-not-find':'could_not_find',
        }, 'Cisco-IOS-XE-ip-sla-oper', _yang_ns._namespaces['Cisco-IOS-XE-ip-sla-oper']),
    'RttTypeEnum' : _MetaInfoEnum('RttTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper',
        {
            'rtt-known':'rtt_known',
            'rtt-unknown':'rtt_unknown',
            'rtt-could-not-find':'rtt_could_not_find',
        }, 'Cisco-IOS-XE-ip-sla-oper', _yang_ns._namespaces['Cisco-IOS-XE-ip-sla-oper']),
    'SlaOperTypeEnum' : _MetaInfoEnum('SlaOperTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper',
        {
            'unknown':'unknown',
            'udp-echo':'udp_echo',
            'udp-jitter':'udp_jitter',
            'icmp-jitter':'icmp_jitter',
            'ethernet-jitter':'ethernet_jitter',
            'ethernet-echo':'ethernet_echo',
            'y1731-delay':'y1731_delay',
            'y1731-loss':'y1731_loss',
            'video':'video',
            'mcast':'mcast',
            'pong':'pong',
            'path-jitter':'path_jitter',
        }, 'Cisco-IOS-XE-ip-sla-oper', _yang_ns._namespaces['Cisco-IOS-XE-ip-sla-oper']),
    'IpSlaStats.SlaOperEntry.RttInfo.LatestRtt' : {
        'meta_info' : _MetaInfoClass('IpSlaStats.SlaOperEntry.RttInfo.LatestRtt',
            False, 
            [
            _MetaInfoClassMember('could-not-find', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                One of no-connection/busy/timeout
                ''',
                'could_not_find',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('rtt', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ''',
                'rtt',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('unknown', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'unknown',
                'Cisco-IOS-XE-ip-sla-oper', False),
            ],
            'Cisco-IOS-XE-ip-sla-oper',
            'latest-rtt',
            _yang_ns._namespaces['Cisco-IOS-XE-ip-sla-oper'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper'
        ),
    },
    'IpSlaStats.SlaOperEntry.RttInfo.TimeToLive' : {
        'meta_info' : _MetaInfoClass('IpSlaStats.SlaOperEntry.RttInfo.TimeToLive',
            False, 
            [
            _MetaInfoClassMember('forever', ATTRIBUTE, 'Empty' , None, None, 
                [], [], 
                '''                ''',
                'forever',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('ttl', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ''',
                'ttl',
                'Cisco-IOS-XE-ip-sla-oper', False),
            ],
            'Cisco-IOS-XE-ip-sla-oper',
            'time-to-live',
            _yang_ns._namespaces['Cisco-IOS-XE-ip-sla-oper'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper'
        ),
    },
    'IpSlaStats.SlaOperEntry.RttInfo' : {
        'meta_info' : _MetaInfoClass('IpSlaStats.SlaOperEntry.RttInfo',
            False, 
            [
            _MetaInfoClassMember('latest-rtt', REFERENCE_CLASS, 'LatestRtt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper', 'IpSlaStats.SlaOperEntry.RttInfo.LatestRtt', 
                [], [], 
                '''                ''',
                'latest_rtt',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('time-to-live', REFERENCE_CLASS, 'TimeToLive' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper', 'IpSlaStats.SlaOperEntry.RttInfo.TimeToLive', 
                [], [], 
                '''                ''',
                'time_to_live',
                'Cisco-IOS-XE-ip-sla-oper', False),
            ],
            'Cisco-IOS-XE-ip-sla-oper',
            'rtt-info',
            _yang_ns._namespaces['Cisco-IOS-XE-ip-sla-oper'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper'
        ),
    },
    'IpSlaStats.SlaOperEntry.MeasureStats' : {
        'meta_info' : _MetaInfoClass('IpSlaStats.SlaOperEntry.MeasureStats',
            False, 
            [
            _MetaInfoClassMember('complete-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'complete_count',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('init-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'init_count',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('intv-start-time', ATTRIBUTE, 'str' , None, None, 
                [], [b'\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d+)?(Z|[\\+\\-]\\d{2}:\\d{2})'], 
                '''                ''',
                'intv_start_time',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ''',
                'valid',
                'Cisco-IOS-XE-ip-sla-oper', False),
            ],
            'Cisco-IOS-XE-ip-sla-oper',
            'measure-stats',
            _yang_ns._namespaces['Cisco-IOS-XE-ip-sla-oper'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper'
        ),
    },
    'IpSlaStats.SlaOperEntry.Stats.Rtt.SlaTimeValues' : {
        'meta_info' : _MetaInfoClass('IpSlaStats.SlaOperEntry.Stats.Rtt.SlaTimeValues',
            False, 
            [
            _MetaInfoClassMember('accuracy', REFERENCE_ENUM_CLASS, 'AccuracyTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper', 'AccuracyTypeEnum', 
                [], [], 
                '''                ''',
                'accuracy',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('avg', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'avg',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'min',
                'Cisco-IOS-XE-ip-sla-oper', False),
            ],
            'Cisco-IOS-XE-ip-sla-oper',
            'sla-time-values',
            _yang_ns._namespaces['Cisco-IOS-XE-ip-sla-oper'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper'
        ),
    },
    'IpSlaStats.SlaOperEntry.Stats.Rtt' : {
        'meta_info' : _MetaInfoClass('IpSlaStats.SlaOperEntry.Stats.Rtt',
            False, 
            [
            _MetaInfoClassMember('rtt-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'rtt_count',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('sla-time-values', REFERENCE_CLASS, 'SlaTimeValues' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper', 'IpSlaStats.SlaOperEntry.Stats.Rtt.SlaTimeValues', 
                [], [], 
                '''                ''',
                'sla_time_values',
                'Cisco-IOS-XE-ip-sla-oper', False),
            ],
            'Cisco-IOS-XE-ip-sla-oper',
            'rtt',
            _yang_ns._namespaces['Cisco-IOS-XE-ip-sla-oper'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper'
        ),
    },
    'IpSlaStats.SlaOperEntry.Stats.OnewayLatency.Sd' : {
        'meta_info' : _MetaInfoClass('IpSlaStats.SlaOperEntry.Stats.OnewayLatency.Sd',
            False, 
            [
            _MetaInfoClassMember('accuracy', REFERENCE_ENUM_CLASS, 'AccuracyTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper', 'AccuracyTypeEnum', 
                [], [], 
                '''                ''',
                'accuracy',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('avg', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'avg',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'min',
                'Cisco-IOS-XE-ip-sla-oper', False),
            ],
            'Cisco-IOS-XE-ip-sla-oper',
            'sd',
            _yang_ns._namespaces['Cisco-IOS-XE-ip-sla-oper'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper'
        ),
    },
    'IpSlaStats.SlaOperEntry.Stats.OnewayLatency.Ds' : {
        'meta_info' : _MetaInfoClass('IpSlaStats.SlaOperEntry.Stats.OnewayLatency.Ds',
            False, 
            [
            _MetaInfoClassMember('accuracy', REFERENCE_ENUM_CLASS, 'AccuracyTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper', 'AccuracyTypeEnum', 
                [], [], 
                '''                ''',
                'accuracy',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('avg', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'avg',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'min',
                'Cisco-IOS-XE-ip-sla-oper', False),
            ],
            'Cisco-IOS-XE-ip-sla-oper',
            'ds',
            _yang_ns._namespaces['Cisco-IOS-XE-ip-sla-oper'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper'
        ),
    },
    'IpSlaStats.SlaOperEntry.Stats.OnewayLatency' : {
        'meta_info' : _MetaInfoClass('IpSlaStats.SlaOperEntry.Stats.OnewayLatency',
            False, 
            [
            _MetaInfoClassMember('ds', REFERENCE_CLASS, 'Ds' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper', 'IpSlaStats.SlaOperEntry.Stats.OnewayLatency.Ds', 
                [], [], 
                '''                ''',
                'ds',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('sample-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'sample_count',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('sd', REFERENCE_CLASS, 'Sd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper', 'IpSlaStats.SlaOperEntry.Stats.OnewayLatency.Sd', 
                [], [], 
                '''                ''',
                'sd',
                'Cisco-IOS-XE-ip-sla-oper', False),
            ],
            'Cisco-IOS-XE-ip-sla-oper',
            'oneway-latency',
            _yang_ns._namespaces['Cisco-IOS-XE-ip-sla-oper'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper'
        ),
    },
    'IpSlaStats.SlaOperEntry.Stats.Jitter.Sd' : {
        'meta_info' : _MetaInfoClass('IpSlaStats.SlaOperEntry.Stats.Jitter.Sd',
            False, 
            [
            _MetaInfoClassMember('accuracy', REFERENCE_ENUM_CLASS, 'AccuracyTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper', 'AccuracyTypeEnum', 
                [], [], 
                '''                ''',
                'accuracy',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('avg', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'avg',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'min',
                'Cisco-IOS-XE-ip-sla-oper', False),
            ],
            'Cisco-IOS-XE-ip-sla-oper',
            'sd',
            _yang_ns._namespaces['Cisco-IOS-XE-ip-sla-oper'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper'
        ),
    },
    'IpSlaStats.SlaOperEntry.Stats.Jitter.Ds' : {
        'meta_info' : _MetaInfoClass('IpSlaStats.SlaOperEntry.Stats.Jitter.Ds',
            False, 
            [
            _MetaInfoClassMember('accuracy', REFERENCE_ENUM_CLASS, 'AccuracyTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper', 'AccuracyTypeEnum', 
                [], [], 
                '''                ''',
                'accuracy',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('avg', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'avg',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'max',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'min',
                'Cisco-IOS-XE-ip-sla-oper', False),
            ],
            'Cisco-IOS-XE-ip-sla-oper',
            'ds',
            _yang_ns._namespaces['Cisco-IOS-XE-ip-sla-oper'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper'
        ),
    },
    'IpSlaStats.SlaOperEntry.Stats.Jitter' : {
        'meta_info' : _MetaInfoClass('IpSlaStats.SlaOperEntry.Stats.Jitter',
            False, 
            [
            _MetaInfoClassMember('ds', REFERENCE_CLASS, 'Ds' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper', 'IpSlaStats.SlaOperEntry.Stats.Jitter.Ds', 
                [], [], 
                '''                ''',
                'ds',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('ds-sample-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'ds_sample_count',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('sd', REFERENCE_CLASS, 'Sd' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper', 'IpSlaStats.SlaOperEntry.Stats.Jitter.Sd', 
                [], [], 
                '''                ''',
                'sd',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('sd-sample-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'sd_sample_count',
                'Cisco-IOS-XE-ip-sla-oper', False),
            ],
            'Cisco-IOS-XE-ip-sla-oper',
            'jitter',
            _yang_ns._namespaces['Cisco-IOS-XE-ip-sla-oper'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper'
        ),
    },
    'IpSlaStats.SlaOperEntry.Stats.OverThreshold' : {
        'meta_info' : _MetaInfoClass('IpSlaStats.SlaOperEntry.Stats.OverThreshold',
            False, 
            [
            _MetaInfoClassMember('percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'percent',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('rtt-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'rtt_count',
                'Cisco-IOS-XE-ip-sla-oper', False),
            ],
            'Cisco-IOS-XE-ip-sla-oper',
            'over-threshold',
            _yang_ns._namespaces['Cisco-IOS-XE-ip-sla-oper'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper'
        ),
    },
    'IpSlaStats.SlaOperEntry.Stats.PacketLoss.SdLoss' : {
        'meta_info' : _MetaInfoClass('IpSlaStats.SlaOperEntry.Stats.PacketLoss.SdLoss',
            False, 
            [
            _MetaInfoClassMember('inter-loss-period-len-max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'inter_loss_period_len_max',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('inter-loss-period-len-min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'inter_loss_period_len_min',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('loss-period-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'loss_period_count',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('loss-period-len-max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'loss_period_len_max',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('loss-period-len-min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'loss_period_len_min',
                'Cisco-IOS-XE-ip-sla-oper', False),
            ],
            'Cisco-IOS-XE-ip-sla-oper',
            'sd-loss',
            _yang_ns._namespaces['Cisco-IOS-XE-ip-sla-oper'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper'
        ),
    },
    'IpSlaStats.SlaOperEntry.Stats.PacketLoss.DsLoss' : {
        'meta_info' : _MetaInfoClass('IpSlaStats.SlaOperEntry.Stats.PacketLoss.DsLoss',
            False, 
            [
            _MetaInfoClassMember('inter-loss-period-len-max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'inter_loss_period_len_max',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('inter-loss-period-len-min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'inter_loss_period_len_min',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('loss-period-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'loss_period_count',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('loss-period-len-max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'loss_period_len_max',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('loss-period-len-min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'loss_period_len_min',
                'Cisco-IOS-XE-ip-sla-oper', False),
            ],
            'Cisco-IOS-XE-ip-sla-oper',
            'ds-loss',
            _yang_ns._namespaces['Cisco-IOS-XE-ip-sla-oper'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper'
        ),
    },
    'IpSlaStats.SlaOperEntry.Stats.PacketLoss' : {
        'meta_info' : _MetaInfoClass('IpSlaStats.SlaOperEntry.Stats.PacketLoss',
            False, 
            [
            _MetaInfoClassMember('drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'drops',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('ds-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'ds_count',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('ds-loss', REFERENCE_CLASS, 'DsLoss' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper', 'IpSlaStats.SlaOperEntry.Stats.PacketLoss.DsLoss', 
                [], [], 
                '''                ''',
                'ds_loss',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('late-arrivals', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'late_arrivals',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('out-of-sequence', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'out_of_sequence',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('sd-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'sd_count',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('sd-loss', REFERENCE_CLASS, 'SdLoss' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper', 'IpSlaStats.SlaOperEntry.Stats.PacketLoss.SdLoss', 
                [], [], 
                '''                ''',
                'sd_loss',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('skipped-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'skipped_packets',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('unprocessed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'unprocessed_packets',
                'Cisco-IOS-XE-ip-sla-oper', False),
            ],
            'Cisco-IOS-XE-ip-sla-oper',
            'packet-loss',
            _yang_ns._namespaces['Cisco-IOS-XE-ip-sla-oper'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper'
        ),
    },
    'IpSlaStats.SlaOperEntry.Stats.IcmpPacketLoss' : {
        'meta_info' : _MetaInfoClass('IpSlaStats.SlaOperEntry.Stats.IcmpPacketLoss',
            False, 
            [
            _MetaInfoClassMember('ds-out-of-sequence-ds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'ds_out_of_sequence_ds',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('inter-loss-period-len-max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'inter_loss_period_len_max',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('inter-loss-period-len-min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'inter_loss_period_len_min',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('late-arrivals', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'late_arrivals',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('loss-period-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'loss_period_count',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('loss-period-len-max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'loss_period_len_max',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('loss-period-len-min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'loss_period_len_min',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('out-of-sequence', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'out_of_sequence',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('out-of-sequence-both', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'out_of_sequence_both',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('out-of-sequence-sd', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'out_of_sequence_sd',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('packet-loss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'packet_loss',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('skipped-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'skipped_packets',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('unprocessed-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'unprocessed_packets',
                'Cisco-IOS-XE-ip-sla-oper', False),
            ],
            'Cisco-IOS-XE-ip-sla-oper',
            'icmp-packet-loss',
            _yang_ns._namespaces['Cisco-IOS-XE-ip-sla-oper'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper'
        ),
    },
    'IpSlaStats.SlaOperEntry.Stats.VoiceScore' : {
        'meta_info' : _MetaInfoClass('IpSlaStats.SlaOperEntry.Stats.VoiceScore',
            False, 
            [
            _MetaInfoClassMember('icpif', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'icpif',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('mos', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'mos',
                'Cisco-IOS-XE-ip-sla-oper', False),
            ],
            'Cisco-IOS-XE-ip-sla-oper',
            'voice-score',
            _yang_ns._namespaces['Cisco-IOS-XE-ip-sla-oper'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper'
        ),
    },
    'IpSlaStats.SlaOperEntry.Stats' : {
        'meta_info' : _MetaInfoClass('IpSlaStats.SlaOperEntry.Stats',
            False, 
            [
            _MetaInfoClassMember('icmp-packet-loss', REFERENCE_CLASS, 'IcmpPacketLoss' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper', 'IpSlaStats.SlaOperEntry.Stats.IcmpPacketLoss', 
                [], [], 
                '''                ''',
                'icmp_packet_loss',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('jitter', REFERENCE_CLASS, 'Jitter' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper', 'IpSlaStats.SlaOperEntry.Stats.Jitter', 
                [], [], 
                '''                ''',
                'jitter',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('oneway-latency', REFERENCE_CLASS, 'OnewayLatency' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper', 'IpSlaStats.SlaOperEntry.Stats.OnewayLatency', 
                [], [], 
                '''                ''',
                'oneway_latency',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('over-threshold', REFERENCE_CLASS, 'OverThreshold' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper', 'IpSlaStats.SlaOperEntry.Stats.OverThreshold', 
                [], [], 
                '''                ''',
                'over_threshold',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('packet-loss', REFERENCE_CLASS, 'PacketLoss' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper', 'IpSlaStats.SlaOperEntry.Stats.PacketLoss', 
                [], [], 
                '''                ''',
                'packet_loss',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('rtt', REFERENCE_CLASS, 'Rtt' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper', 'IpSlaStats.SlaOperEntry.Stats.Rtt', 
                [], [], 
                '''                ''',
                'rtt',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('voice-score', REFERENCE_CLASS, 'VoiceScore' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper', 'IpSlaStats.SlaOperEntry.Stats.VoiceScore', 
                [], [], 
                '''                ''',
                'voice_score',
                'Cisco-IOS-XE-ip-sla-oper', False),
            ],
            'Cisco-IOS-XE-ip-sla-oper',
            'stats',
            _yang_ns._namespaces['Cisco-IOS-XE-ip-sla-oper'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper'
        ),
    },
    'IpSlaStats.SlaOperEntry' : {
        'meta_info' : _MetaInfoClass('IpSlaStats.SlaOperEntry',
            False, 
            [
            _MetaInfoClassMember('oper-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The name of the memory pool.
                ''',
                'oper_id',
                'Cisco-IOS-XE-ip-sla-oper', True),
            _MetaInfoClassMember('failure-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'failure_count',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('latest-oper-start-time', ATTRIBUTE, 'str' , None, None, 
                [], [b'\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d+)?(Z|[\\+\\-]\\d{2}:\\d{2})'], 
                '''                The time-stamp for the latest SLA operation.
                ''',
                'latest_oper_start_time',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('latest-return-code', REFERENCE_ENUM_CLASS, 'SlaReturnCodeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper', 'SlaReturnCodeEnum', 
                [], [], 
                '''                ''',
                'latest_return_code',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('measure-stats', REFERENCE_CLASS, 'MeasureStats' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper', 'IpSlaStats.SlaOperEntry.MeasureStats', 
                [], [], 
                '''                ''',
                'measure_stats',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('oper-type', REFERENCE_ENUM_CLASS, 'SlaOperTypeEnum' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper', 'SlaOperTypeEnum', 
                [], [], 
                '''                ''',
                'oper_type',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('rtt-info', REFERENCE_CLASS, 'RttInfo' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper', 'IpSlaStats.SlaOperEntry.RttInfo', 
                [], [], 
                '''                ''',
                'rtt_info',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('stats', REFERENCE_CLASS, 'Stats' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper', 'IpSlaStats.SlaOperEntry.Stats', 
                [], [], 
                '''                ''',
                'stats',
                'Cisco-IOS-XE-ip-sla-oper', False),
            _MetaInfoClassMember('success-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'success_count',
                'Cisco-IOS-XE-ip-sla-oper', False),
            ],
            'Cisco-IOS-XE-ip-sla-oper',
            'sla-oper-entry',
            _yang_ns._namespaces['Cisco-IOS-XE-ip-sla-oper'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper'
        ),
    },
    'IpSlaStats' : {
        'meta_info' : _MetaInfoClass('IpSlaStats',
            False, 
            [
            _MetaInfoClassMember('sla-oper-entry', REFERENCE_LIST, 'SlaOperEntry' , 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper', 'IpSlaStats.SlaOperEntry', 
                [], [], 
                '''                The list of IP SLA operations with statistics info.
                ''',
                'sla_oper_entry',
                'Cisco-IOS-XE-ip-sla-oper', False),
            ],
            'Cisco-IOS-XE-ip-sla-oper',
            'ip-sla-stats',
            _yang_ns._namespaces['Cisco-IOS-XE-ip-sla-oper'],
        'ydk.models.cisco_ios_xe.Cisco_IOS_XE_ip_sla_oper'
        ),
    },
}
_meta_table['IpSlaStats.SlaOperEntry.RttInfo.LatestRtt']['meta_info'].parent =_meta_table['IpSlaStats.SlaOperEntry.RttInfo']['meta_info']
_meta_table['IpSlaStats.SlaOperEntry.RttInfo.TimeToLive']['meta_info'].parent =_meta_table['IpSlaStats.SlaOperEntry.RttInfo']['meta_info']
_meta_table['IpSlaStats.SlaOperEntry.Stats.Rtt.SlaTimeValues']['meta_info'].parent =_meta_table['IpSlaStats.SlaOperEntry.Stats.Rtt']['meta_info']
_meta_table['IpSlaStats.SlaOperEntry.Stats.OnewayLatency.Sd']['meta_info'].parent =_meta_table['IpSlaStats.SlaOperEntry.Stats.OnewayLatency']['meta_info']
_meta_table['IpSlaStats.SlaOperEntry.Stats.OnewayLatency.Ds']['meta_info'].parent =_meta_table['IpSlaStats.SlaOperEntry.Stats.OnewayLatency']['meta_info']
_meta_table['IpSlaStats.SlaOperEntry.Stats.Jitter.Sd']['meta_info'].parent =_meta_table['IpSlaStats.SlaOperEntry.Stats.Jitter']['meta_info']
_meta_table['IpSlaStats.SlaOperEntry.Stats.Jitter.Ds']['meta_info'].parent =_meta_table['IpSlaStats.SlaOperEntry.Stats.Jitter']['meta_info']
_meta_table['IpSlaStats.SlaOperEntry.Stats.PacketLoss.SdLoss']['meta_info'].parent =_meta_table['IpSlaStats.SlaOperEntry.Stats.PacketLoss']['meta_info']
_meta_table['IpSlaStats.SlaOperEntry.Stats.PacketLoss.DsLoss']['meta_info'].parent =_meta_table['IpSlaStats.SlaOperEntry.Stats.PacketLoss']['meta_info']
_meta_table['IpSlaStats.SlaOperEntry.Stats.Rtt']['meta_info'].parent =_meta_table['IpSlaStats.SlaOperEntry.Stats']['meta_info']
_meta_table['IpSlaStats.SlaOperEntry.Stats.OnewayLatency']['meta_info'].parent =_meta_table['IpSlaStats.SlaOperEntry.Stats']['meta_info']
_meta_table['IpSlaStats.SlaOperEntry.Stats.Jitter']['meta_info'].parent =_meta_table['IpSlaStats.SlaOperEntry.Stats']['meta_info']
_meta_table['IpSlaStats.SlaOperEntry.Stats.OverThreshold']['meta_info'].parent =_meta_table['IpSlaStats.SlaOperEntry.Stats']['meta_info']
_meta_table['IpSlaStats.SlaOperEntry.Stats.PacketLoss']['meta_info'].parent =_meta_table['IpSlaStats.SlaOperEntry.Stats']['meta_info']
_meta_table['IpSlaStats.SlaOperEntry.Stats.IcmpPacketLoss']['meta_info'].parent =_meta_table['IpSlaStats.SlaOperEntry.Stats']['meta_info']
_meta_table['IpSlaStats.SlaOperEntry.Stats.VoiceScore']['meta_info'].parent =_meta_table['IpSlaStats.SlaOperEntry.Stats']['meta_info']
_meta_table['IpSlaStats.SlaOperEntry.RttInfo']['meta_info'].parent =_meta_table['IpSlaStats.SlaOperEntry']['meta_info']
_meta_table['IpSlaStats.SlaOperEntry.MeasureStats']['meta_info'].parent =_meta_table['IpSlaStats.SlaOperEntry']['meta_info']
_meta_table['IpSlaStats.SlaOperEntry.Stats']['meta_info'].parent =_meta_table['IpSlaStats.SlaOperEntry']['meta_info']
_meta_table['IpSlaStats.SlaOperEntry']['meta_info'].parent =_meta_table['IpSlaStats']['meta_info']
