


import re
import collections

from enum import Enum

from ydk._core._dm_meta_info import _MetaInfoClassMember, _MetaInfoClass, _MetaInfoEnum
from ydk.types import Empty, YList, YLeafList, DELETE, Decimal64, FixedBitsDict
from ydk._core._dm_meta_info import ATTRIBUTE, REFERENCE_CLASS, REFERENCE_LIST, REFERENCE_LEAFLIST,     REFERENCE_IDENTITY_CLASS, REFERENCE_ENUM_CLASS, REFERENCE_BITS, REFERENCE_UNION, ANYXML_CLASS

from ydk.errors import YPYError, YPYModelError
from ydk.providers._importer import _yang_ns
_meta_table = {
    'CommunityWellKnownTypeEnum' : _MetaInfoEnum('CommunityWellKnownTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types',
        {
            'gshut':'gshut',
            'internet':'internet',
            'local-AS':'local_AS',
            'no-advertise':'no_advertise',
            'no-export':'no_export',
        }, 'Cisco-IOS-XE-types', _yang_ns._namespaces['Cisco-IOS-XE-types']),
    'Bgp_Ipv4_Af_TypeEnum' : _MetaInfoEnum('Bgp_Ipv4_Af_TypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types',
        {
            'unicast':'unicast',
            'multicast':'multicast',
            'mdt':'mdt',
            'tunnel':'tunnel',
            'labeled-unicast':'labeled_unicast',
            'flowspec':'flowspec',
            'mvpn':'mvpn',
        }, 'Cisco-IOS-XE-types', _yang_ns._namespaces['Cisco-IOS-XE-types']),
    'MobilityTypeEnum' : _MetaInfoEnum('MobilityTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types',
        {
            'bind-acknowledgement':'bind_acknowledgement',
            'bind-error':'bind_error',
            'bind-refresh':'bind_refresh',
            'bind-update':'bind_update',
            'cot':'cot',
            'coti':'coti',
            'hot':'hot',
            'hoti':'hoti',
        }, 'Cisco-IOS-XE-types', _yang_ns._namespaces['Cisco-IOS-XE-types']),
    'Bgp_Ipv6_Af_TypeEnum' : _MetaInfoEnum('Bgp_Ipv6_Af_TypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types',
        {
            'unicast':'unicast',
            'multicast':'multicast',
            'mdt':'mdt',
            'flowspec':'flowspec',
            'mvpn':'mvpn',
        }, 'Cisco-IOS-XE-types', _yang_ns._namespaces['Cisco-IOS-XE-types']),
    'LimitDcNonDcTypeEnum' : _MetaInfoEnum('LimitDcNonDcTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types',
        {
            'disable':'disable',
        }, 'Cisco-IOS-XE-types', _yang_ns._namespaces['Cisco-IOS-XE-types']),
    'Qos_ValueTypeEnum' : _MetaInfoEnum('Qos_ValueTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types',
        {
            'cos':'cos',
            'dscp':'dscp',
            'exp':'exp',
            'precedence':'precedence',
        }, 'Cisco-IOS-XE-types', _yang_ns._namespaces['Cisco-IOS-XE-types']),
    'MonthTypeEnum' : _MetaInfoEnum('MonthTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types',
        {
            'Jan':'Jan',
            'Feb':'Feb',
            'Mar':'Mar',
            'Apr':'Apr',
            'May':'May',
            'Jun':'Jun',
            'Jul':'Jul',
            'Aug':'Aug',
            'Sep':'Sep',
            'Oct':'Oct',
            'Nov':'Nov',
            'Dec':'Dec',
        }, 'Cisco-IOS-XE-types', _yang_ns._namespaces['Cisco-IOS-XE-types']),
    'RedistOspfExternalTypeEnum' : _MetaInfoEnum('RedistOspfExternalTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types',
        {
            '1':'Y_1',
            '2':'Y_2',
        }, 'Cisco-IOS-XE-types', _yang_ns._namespaces['Cisco-IOS-XE-types']),
    'InterfaceTypeEnum' : _MetaInfoEnum('InterfaceTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types',
        {
            'BDI':'BDI',
            'FastEthernet':'FastEthernet',
            'GigabitEthernet':'GigabitEthernet',
            'Loopback':'Loopback',
            'Port-channel':'Port_channel',
            'Serial':'Serial',
            'TenGigabitEthernet':'TenGigabitEthernet',
            'Vlan':'Vlan',
        }, 'Cisco-IOS-XE-types', _yang_ns._namespaces['Cisco-IOS-XE-types']),
    'AclTcpPortTypeEnum' : _MetaInfoEnum('AclTcpPortTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types',
        {
            'bgp':'bgp',
            'chargen':'chargen',
            'cmd':'cmd',
            'connectedapps-plain':'connectedapps_plain',
            'connectedapps-tls':'connectedapps_tls',
            'daytime':'daytime',
            'discard':'discard',
            'domain':'domain',
            'echo':'echo',
            'exec':'exec_',
            'finger':'finger',
            'ftp':'ftp',
            'ftp-data':'ftp_data',
            'gopher':'gopher',
            'hostname':'hostname',
            'ident':'ident',
            'irc':'irc',
            'klogin':'klogin',
            'kshell':'kshell',
            'login':'login',
            'lpd':'lpd',
            'msrpc':'msrpc',
            'nntp':'nntp',
            'pim-auto-rp':'pim_auto_rp',
            'pop2':'pop2',
            'pop3':'pop3',
            'smtp':'smtp',
            'sunrpc':'sunrpc',
            'syslog':'syslog',
            'tacacs':'tacacs',
            'talk':'talk',
            'telnet':'telnet',
            'time':'time',
            'uucp':'uucp',
            'whois':'whois',
            'www':'www',
        }, 'Cisco-IOS-XE-types', _yang_ns._namespaces['Cisco-IOS-XE-types']),
    'WeekdayTypeEnum' : _MetaInfoEnum('WeekdayTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types',
        {
            'Mon':'Mon',
            'Tue':'Tue',
            'Wed':'Wed',
            'Thu':'Thu',
            'Fri':'Fri',
            'Sat':'Sat',
            'Sun':'Sun',
        }, 'Cisco-IOS-XE-types', _yang_ns._namespaces['Cisco-IOS-XE-types']),
    'PrecedenceTypeEnum' : _MetaInfoEnum('PrecedenceTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types',
        {
            'critical':'critical',
            'flash':'flash',
            'flash-override':'flash_override',
            'immediate':'immediate',
            'internet':'internet',
            'network':'network',
            'priority':'priority',
            'routine':'routine',
        }, 'Cisco-IOS-XE-types', _yang_ns._namespaces['Cisco-IOS-XE-types']),
    'Cos_ValueTypeEnum' : _MetaInfoEnum('Cos_ValueTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types',
        {
            'cos':'cos',
            'dscp':'dscp',
            'exp':'exp',
            'precedence':'precedence',
        }, 'Cisco-IOS-XE-types', _yang_ns._namespaces['Cisco-IOS-XE-types']),
    'Exp_ValueTypeEnum' : _MetaInfoEnum('Exp_ValueTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types',
        {
            'cos':'cos',
            'dscp':'dscp',
            'exp':'exp',
            'precedence':'precedence',
        }, 'Cisco-IOS-XE-types', _yang_ns._namespaces['Cisco-IOS-XE-types']),
    'AclUdpPortTypeEnum' : _MetaInfoEnum('AclUdpPortTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types',
        {
            'biff':'biff',
            'bootpc':'bootpc',
            'bootps':'bootps',
            'discard':'discard',
            'dnsix':'dnsix',
            'domain':'domain',
            'echo':'echo',
            'isakmp':'isakmp',
            'mobile-ip':'mobile_ip',
            'nameserver':'nameserver',
            'netbios-dgm':'netbios_dgm',
            'netbios-ns':'netbios_ns',
            'netbios-ss':'netbios_ss',
            'non500-isakmp':'non500_isakmp',
            'ntp':'ntp',
            'pim-auto-rp':'pim_auto_rp',
            'rip':'rip',
            'ripv6':'ripv6',
            'snmp':'snmp',
            'snmptrap':'snmptrap',
            'sunrpc':'sunrpc',
            'syslog':'syslog',
            'tacacs':'tacacs',
            'talk':'talk',
            'tftp':'tftp',
            'time':'time',
            'who':'who',
            'xdmcp':'xdmcp',
        }, 'Cisco-IOS-XE-types', _yang_ns._namespaces['Cisco-IOS-XE-types']),
    'Prec_ValueTypeEnum' : _MetaInfoEnum('Prec_ValueTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types',
        {
            'cos':'cos',
            'dscp':'dscp',
            'exp':'exp',
            'precedence':'precedence',
        }, 'Cisco-IOS-XE-types', _yang_ns._namespaces['Cisco-IOS-XE-types']),
    'DscpTypeEnum' : _MetaInfoEnum('DscpTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types',
        {
            'af11':'af11',
            'af12':'af12',
            'af13':'af13',
            'af21':'af21',
            'af22':'af22',
            'af23':'af23',
            'af31':'af31',
            'af32':'af32',
            'af33':'af33',
            'af41':'af41',
            'af42':'af42',
            'af43':'af43',
            'cs1':'cs1',
            'cs2':'cs2',
            'cs3':'cs3',
            'cs4':'cs4',
            'cs5':'cs5',
            'cs6':'cs6',
            'cs7':'cs7',
            'default':'default',
            'dscp':'dscp',
            'ef':'ef',
            'precedence':'precedence',
        }, 'Cisco-IOS-XE-types', _yang_ns._namespaces['Cisco-IOS-XE-types']),
    'AccessListInOutTypeEnum' : _MetaInfoEnum('AccessListInOutTypeEnum', 'ydk.models.cisco_ios_xe.Cisco_IOS_XE_types',
        {
            'in':'in_',
            'out':'out',
        }, 'Cisco-IOS-XE-types', _yang_ns._namespaces['Cisco-IOS-XE-types']),
}
