


import re
import collections

from enum import Enum

from ydk._core._dm_meta_info import _MetaInfoClassMember, _MetaInfoClass, _MetaInfoEnum
from ydk.types import Empty, YList, YLeafList, DELETE, Decimal64, FixedBitsDict
from ydk._core._dm_meta_info import ATTRIBUTE, REFERENCE_CLASS, REFERENCE_LIST, REFERENCE_LEAFLIST,     REFERENCE_IDENTITY_CLASS, REFERENCE_ENUM_CLASS, REFERENCE_BITS, REFERENCE_UNION, ANYXML_CLASS

from ydk.errors import YPYError, YPYModelError
from ydk.providers._importer import _yang_ns
_meta_table = {
    'IanaiftypeEnum' : _MetaInfoEnum('IanaiftypeEnum', 'ydk.models.cisco_ios_xe.IANAifType_MIB',
        {
            'other':'other',
            'regular1822':'regular1822',
            'hdh1822':'hdh1822',
            'ddnX25':'ddnX25',
            'rfc877x25':'rfc877x25',
            'ethernetCsmacd':'ethernetCsmacd',
            'iso88023Csmacd':'iso88023Csmacd',
            'iso88024TokenBus':'iso88024TokenBus',
            'iso88025TokenRing':'iso88025TokenRing',
            'iso88026Man':'iso88026Man',
            'starLan':'starLan',
            'proteon10Mbit':'proteon10Mbit',
            'proteon80Mbit':'proteon80Mbit',
            'hyperchannel':'hyperchannel',
            'fddi':'fddi',
            'lapb':'lapb',
            'sdlc':'sdlc',
            'ds1':'ds1',
            'e1':'e1',
            'basicISDN':'basicISDN',
            'primaryISDN':'primaryISDN',
            'propPointToPointSerial':'propPointToPointSerial',
            'ppp':'ppp',
            'softwareLoopback':'softwareLoopback',
            'eon':'eon',
            'ethernet3Mbit':'ethernet3Mbit',
            'nsip':'nsip',
            'slip':'slip',
            'ultra':'ultra',
            'ds3':'ds3',
            'sip':'sip',
            'frameRelay':'frameRelay',
            'rs232':'rs232',
            'para':'para',
            'arcnet':'arcnet',
            'arcnetPlus':'arcnetPlus',
            'atm':'atm',
            'miox25':'miox25',
            'sonet':'sonet',
            'x25ple':'x25ple',
            'iso88022llc':'iso88022llc',
            'localTalk':'localTalk',
            'smdsDxi':'smdsDxi',
            'frameRelayService':'frameRelayService',
            'v35':'v35',
            'hssi':'hssi',
            'hippi':'hippi',
            'modem':'modem',
            'aal5':'aal5',
            'sonetPath':'sonetPath',
            'sonetVT':'sonetVT',
            'smdsIcip':'smdsIcip',
            'propVirtual':'propVirtual',
            'propMultiplexor':'propMultiplexor',
            'ieee80212':'ieee80212',
            'fibreChannel':'fibreChannel',
            'hippiInterface':'hippiInterface',
            'frameRelayInterconnect':'frameRelayInterconnect',
            'aflane8023':'aflane8023',
            'aflane8025':'aflane8025',
            'cctEmul':'cctEmul',
            'fastEther':'fastEther',
            'isdn':'isdn',
            'v11':'v11',
            'v36':'v36',
            'g703at64k':'g703at64k',
            'g703at2mb':'g703at2mb',
            'qllc':'qllc',
            'fastEtherFX':'fastEtherFX',
            'channel':'channel',
            'ieee80211':'ieee80211',
            'ibm370parChan':'ibm370parChan',
            'escon':'escon',
            'dlsw':'dlsw',
            'isdns':'isdns',
            'isdnu':'isdnu',
            'lapd':'lapd',
            'ipSwitch':'ipSwitch',
            'rsrb':'rsrb',
            'atmLogical':'atmLogical',
            'ds0':'ds0',
            'ds0Bundle':'ds0Bundle',
            'bsc':'bsc',
            'async':'async',
            'cnr':'cnr',
            'iso88025Dtr':'iso88025Dtr',
            'eplrs':'eplrs',
            'arap':'arap',
            'propCnls':'propCnls',
            'hostPad':'hostPad',
            'termPad':'termPad',
            'frameRelayMPI':'frameRelayMPI',
            'x213':'x213',
            'adsl':'adsl',
            'radsl':'radsl',
            'sdsl':'sdsl',
            'vdsl':'vdsl',
            'iso88025CRFPInt':'iso88025CRFPInt',
            'myrinet':'myrinet',
            'voiceEM':'voiceEM',
            'voiceFXO':'voiceFXO',
            'voiceFXS':'voiceFXS',
            'voiceEncap':'voiceEncap',
            'voiceOverIp':'voiceOverIp',
            'atmDxi':'atmDxi',
            'atmFuni':'atmFuni',
            'atmIma':'atmIma',
            'pppMultilinkBundle':'pppMultilinkBundle',
            'ipOverCdlc':'ipOverCdlc',
            'ipOverClaw':'ipOverClaw',
            'stackToStack':'stackToStack',
            'virtualIpAddress':'virtualIpAddress',
            'mpc':'mpc',
            'ipOverAtm':'ipOverAtm',
            'iso88025Fiber':'iso88025Fiber',
            'tdlc':'tdlc',
            'gigabitEthernet':'gigabitEthernet',
            'hdlc':'hdlc',
            'lapf':'lapf',
            'v37':'v37',
            'x25mlp':'x25mlp',
            'x25huntGroup':'x25huntGroup',
            'trasnpHdlc':'trasnpHdlc',
            'interleave':'interleave',
            'fast':'fast',
            'ip':'ip',
            'docsCableMaclayer':'docsCableMaclayer',
            'docsCableDownstream':'docsCableDownstream',
            'docsCableUpstream':'docsCableUpstream',
            'a12MppSwitch':'a12MppSwitch',
            'tunnel':'tunnel',
            'coffee':'coffee',
            'ces':'ces',
            'atmSubInterface':'atmSubInterface',
            'l2vlan':'l2vlan',
            'l3ipvlan':'l3ipvlan',
            'l3ipxvlan':'l3ipxvlan',
            'digitalPowerline':'digitalPowerline',
            'mediaMailOverIp':'mediaMailOverIp',
            'dtm':'dtm',
            'dcn':'dcn',
            'ipForward':'ipForward',
            'msdsl':'msdsl',
            'ieee1394':'ieee1394',
            'if-gsn':'if_gsn',
            'dvbRccMacLayer':'dvbRccMacLayer',
            'dvbRccDownstream':'dvbRccDownstream',
            'dvbRccUpstream':'dvbRccUpstream',
            'atmVirtual':'atmVirtual',
            'mplsTunnel':'mplsTunnel',
            'srp':'srp',
            'voiceOverAtm':'voiceOverAtm',
            'voiceOverFrameRelay':'voiceOverFrameRelay',
            'idsl':'idsl',
            'compositeLink':'compositeLink',
            'ss7SigLink':'ss7SigLink',
            'propWirelessP2P':'propWirelessP2P',
            'frForward':'frForward',
            'rfc1483':'rfc1483',
            'usb':'usb',
            'ieee8023adLag':'ieee8023adLag',
            'bgppolicyaccounting':'bgppolicyaccounting',
            'frf16MfrBundle':'frf16MfrBundle',
            'h323Gatekeeper':'h323Gatekeeper',
            'h323Proxy':'h323Proxy',
            'mpls':'mpls',
            'mfSigLink':'mfSigLink',
            'hdsl2':'hdsl2',
            'shdsl':'shdsl',
            'ds1FDL':'ds1FDL',
            'pos':'pos',
            'dvbAsiIn':'dvbAsiIn',
            'dvbAsiOut':'dvbAsiOut',
            'plc':'plc',
            'nfas':'nfas',
            'tr008':'tr008',
            'gr303RDT':'gr303RDT',
            'gr303IDT':'gr303IDT',
            'isup':'isup',
            'propDocsWirelessMaclayer':'propDocsWirelessMaclayer',
            'propDocsWirelessDownstream':'propDocsWirelessDownstream',
            'propDocsWirelessUpstream':'propDocsWirelessUpstream',
            'hiperlan2':'hiperlan2',
            'propBWAp2Mp':'propBWAp2Mp',
            'sonetOverheadChannel':'sonetOverheadChannel',
            'digitalWrapperOverheadChannel':'digitalWrapperOverheadChannel',
            'aal2':'aal2',
            'radioMAC':'radioMAC',
            'atmRadio':'atmRadio',
            'imt':'imt',
            'mvl':'mvl',
            'reachDSL':'reachDSL',
            'frDlciEndPt':'frDlciEndPt',
            'atmVciEndPt':'atmVciEndPt',
            'opticalChannel':'opticalChannel',
            'opticalTransport':'opticalTransport',
            'propAtm':'propAtm',
            'voiceOverCable':'voiceOverCable',
            'infiniband':'infiniband',
            'teLink':'teLink',
            'q2931':'q2931',
            'virtualTg':'virtualTg',
            'sipTg':'sipTg',
            'sipSig':'sipSig',
            'docsCableUpstreamChannel':'docsCableUpstreamChannel',
            'econet':'econet',
            'pon155':'pon155',
            'pon622':'pon622',
            'bridge':'bridge',
            'linegroup':'linegroup',
            'voiceEMFGD':'voiceEMFGD',
            'voiceFGDEANA':'voiceFGDEANA',
            'voiceDID':'voiceDID',
            'mpegTransport':'mpegTransport',
            'sixToFour':'sixToFour',
            'gtp':'gtp',
            'pdnEtherLoop1':'pdnEtherLoop1',
            'pdnEtherLoop2':'pdnEtherLoop2',
            'opticalChannelGroup':'opticalChannelGroup',
            'homepna':'homepna',
            'gfp':'gfp',
            'ciscoISLvlan':'ciscoISLvlan',
            'actelisMetaLOOP':'actelisMetaLOOP',
            'fcipLink':'fcipLink',
            'rpr':'rpr',
            'qam':'qam',
            'lmp':'lmp',
            'cblVectaStar':'cblVectaStar',
            'docsCableMCmtsDownstream':'docsCableMCmtsDownstream',
            'adsl2':'adsl2',
            'macSecControlledIF':'macSecControlledIF',
            'macSecUncontrolledIF':'macSecUncontrolledIF',
            'aviciOpticalEther':'aviciOpticalEther',
            'atmbond':'atmbond',
            'voiceFGDOS':'voiceFGDOS',
            'mocaVersion1':'mocaVersion1',
            'ieee80216WMAN':'ieee80216WMAN',
            'adsl2plus':'adsl2plus',
            'dvbRcsMacLayer':'dvbRcsMacLayer',
            'dvbTdm':'dvbTdm',
            'dvbRcsTdma':'dvbRcsTdma',
            'x86Laps':'x86Laps',
            'wwanPP':'wwanPP',
            'wwanPP2':'wwanPP2',
            'voiceEBS':'voiceEBS',
            'ifPwType':'ifPwType',
            'ilan':'ilan',
            'pip':'pip',
            'aluELP':'aluELP',
            'gpon':'gpon',
            'vdsl2':'vdsl2',
            'capwapDot11Profile':'capwapDot11Profile',
            'capwapDot11Bss':'capwapDot11Bss',
            'capwapWtpVirtualRadio':'capwapWtpVirtualRadio',
            'bits':'bits',
            'docsCableUpstreamRfPort':'docsCableUpstreamRfPort',
            'cableDownstreamRfPort':'cableDownstreamRfPort',
            'vmwareVirtualNic':'vmwareVirtualNic',
            'ieee802154':'ieee802154',
            'otnOdu':'otnOdu',
            'otnOtu':'otnOtu',
            'ifVfiType':'ifVfiType',
            'g9981':'g9981',
            'g9982':'g9982',
            'g9983':'g9983',
            'aluEpon':'aluEpon',
            'aluEponOnu':'aluEponOnu',
            'aluEponPhysicalUni':'aluEponPhysicalUni',
            'aluEponLogicalLink':'aluEponLogicalLink',
            'aluGponOnu':'aluGponOnu',
            'aluGponPhysicalUni':'aluGponPhysicalUni',
            'vmwareNicTeam':'vmwareNicTeam',
            'docsOfdmDownstream':'docsOfdmDownstream',
            'docsOfdmaUpstream':'docsOfdmaUpstream',
            'gfast':'gfast',
            'sdci':'sdci',
            'xboxWireless':'xboxWireless',
            'fastdsl':'fastdsl',
            'docsCableScte55d1FwdOob':'docsCableScte55d1FwdOob',
            'docsCableScte55d1RetOob':'docsCableScte55d1RetOob',
            'docsCableScte55d2DsOob':'docsCableScte55d2DsOob',
            'docsCableScte55d2UsOob':'docsCableScte55d2UsOob',
            'docsCableNdf':'docsCableNdf',
            'docsCableNdr':'docsCableNdr',
        }, 'IANAifType-MIB', _yang_ns._namespaces['IANAifType-MIB']),
    'IanatunneltypeEnum' : _MetaInfoEnum('IanatunneltypeEnum', 'ydk.models.cisco_ios_xe.IANAifType_MIB',
        {
            'other':'other',
            'direct':'direct',
            'gre':'gre',
            'minimal':'minimal',
            'l2tp':'l2tp',
            'pptp':'pptp',
            'l2f':'l2f',
            'udp':'udp',
            'atmp':'atmp',
            'msdp':'msdp',
            'sixToFour':'sixToFour',
            'sixOverFour':'sixOverFour',
            'isatap':'isatap',
            'teredo':'teredo',
        }, 'IANAifType-MIB', _yang_ns._namespaces['IANAifType-MIB']),
}
